package com.tofly.callcenter;

import com.tofly.baseapi.config.ToflyWebColudApplication;
import com.tofly.callcenter.config.FeignConfig;
import org.springframework.boot.SpringApplication;
import org.springframework.cloud.openfeign.EnableFeignClients;

/**
 * @author FlashWJL
 * @date 2021/6/17 10:16
 */
@ToflyWebColudApplication
@EnableFeignClients(basePackages ={"com.tofly.callcenter"},defaultConfiguration = {FeignConfig.class})
public class XrtyCallCenterApplication {
    public static void main(String[] args) {
        SpringApplication.run(XrtyCallCenterApplication.class, args);
    }
}
