package com.tofly.watermeter.custom.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.Valid;
import javax.validation.constraints.NotEmpty;
import java.io.Serializable;
import java.util.List;

@Data
@EqualsAndHashCode
public class ForeignReadFarDo implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 远传表抄表信息集合
     */
    @Valid
    @NotEmpty
    @ApiModelProperty(value = "远传表抄表信息集合",required = true)
    List<ReadFarDo> datas;


}
