package com.tofly.watermeter.custom.dto;

import lombok.Data;

import java.util.List;
import java.util.Map;

/**
 * @author Bubble
 */
@Data
public class PaymentInfoDto {
    /**
     * 查询模块id
     */
    private String id;
    /**
     * 是否导出
     */
    private Integer exportType;
    /**
     * 是否需要总结
     */
    private Integer needSummary;
    /**
     * 查询参数
     */
    private List<PaymentParamDto> parameters;
    /**
     * 查询方式
     */
    private String queryName;
    /**
     * 页
     */
    private long pageNum;
    /**
     * 条
     */
    private long pageSize;

}
