package com.tofly.watermeter.custom.dto;

import lombok.Data;

/**
 * 同步森鑫炬抄表记录
 * @author Bubble
 */
@Data
public class SynReadRecordDto {
  /** 用户地址 */
  private String address;
  /** 行政区域 */
  private String adAreaCode;
  /** 水量 */
  private Long amount;
  /** 营业区域 */
  private String areaCode;
  /** 起度 */
  private Long beginScale;
  /** 水表口径 */
  private String caliberCode;
  /** 联系人电话 */
  private String contactPhone;
  /** 止度 */
  private Long endScale;
  /** 是否异常 */
  private String hasException;
  /** 水表编号 */
  private String meterCode;
  /** 水表类型code */
  private String meterTypeCode;
  /** 用水性质 */
  private String natureCode;
  /** 抄表人员id */
  private String readerId;
  /** 抄表人员名称 */
  private String readerName;
  /** 抄表册 */
  private String readBookCode;
  /** 抄表方式 */
  private Long readMode;
  /** 抄表月份 */
  private String readMonth;
  /** 抄表线路 */
  private String readPathCode;
  /** 抄见状态 */
  private String readStatus;
  /** 抄表时间 */
  private Long readTime;
  /** 类型 */
  private String type;
  /** 用户编号 */
  private String userCode;
  /** 用户名称 */
  private String userName;
  /** 供水片区 */
  private String zoneCode;

}
