package com.tofly.watermeter.custom.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @author Bubble
 */
@Data
public class WaterAuditDto {

  @ApiModelProperty(value = "审核意见")
  private String auditReason;

  @ApiModelProperty(value = "审核结果 1 通过 2 不通过")
  private Long auditResult;

  @ApiModelProperty(value = "审核人员id")
  private String userId;

  @ApiModelProperty(value = "审核消息id")
  private List<String> idList;
}
