package com.tofly.watermeter.custom.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * @author FlashWJL
 * @date 2021/5/15 10:25
 */
@Data
public class KhSearch {
    @ApiModelProperty(value = "水表类型，多个逗号隔开")
    private String sblx;

    @ApiModelProperty(value = "所属片区，多个逗号隔开")
    private String cbpq;

    @ApiModelProperty(value = "所属抄表本，多个逗号隔开")
    private String cbb;

    @ApiModelProperty(value = "抄表区域，多个逗号隔开")
    private String qybm;

    @ApiModelProperty(value = "抄表区域段，多个逗号隔开")
    private String qydbm;

    private String yhxm;

    @ApiModelProperty(value = "水表厂家code，多个逗号隔开")
    private String sbcj;

    @ApiModelProperty(value = "输入框内容")
    private String inputcontent;

    @ApiModelProperty(value = "水表口径code，多个逗号隔开")
    private String sbkj;

    @ApiModelProperty(value = "用水性质，多个逗号隔开")
    private String ysxz;

    @ApiModelProperty(value = "用户状态，多个逗号隔开")
    private String yhzt;

    @ApiModelProperty(value = "用户状态;0:未分配；1:已分配")
    private String fpState;

    @ApiModelProperty(value = "电话号码")
    private String phone;
    @ApiModelProperty(value = "用户编号")
    private String yhbh;

    @ApiModelProperty(value = "开始日期")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date startTime;

    @ApiModelProperty(value = "结束日期")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date endTime;
    @ApiModelProperty(value = "导出标识；1：导出")
    private String templateFlag;
    @ApiModelProperty(value = "是否农村用水")
    private String sfncys;
    @ApiModelProperty(value = "加压站")
    private String jyz;
}
