package com.tofly.watermeter.custom.entity.dto;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;
import java.util.Map;

/**
 * @author Bubble
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class InstallTableQueryDto {

  private String id;
  private Integer exportType;
  private Integer needSummary;
  private List<Map<String, Object>> parameters;
  private String queryName;
  private List<Object> sortFields;
  private Integer pageNum;
  private Integer pageSize;
}
