package com.tofly.watermeter.custom.entity.quality;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * @author FlashWJL
 * @date 2022/1/13 14:30
 */
@Data
public class QualityEventInfo {

    @ApiModelProperty(value = "用户编号")
    private String yhbh;
    @ApiModelProperty("时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date eventtime;
    @ApiModelProperty(value = "事件类型；1：抄表事件，2：业务工单事件，3：质检事件，4：表务事件")
    private String eventtype;
    @ApiModelProperty(value = "事件内容")
    private String eventcontent;
    @ApiModelProperty(value = "事件唯一标识；根据事件的不同，展示不同事件的唯一标识")
    private String eventid;
    @ApiModelProperty(value = "抢维修工单ID，有转抢维修才展示")
    private String qwxid;
    @ApiModelProperty(value = "抄表用户唯一标识")
    private String soleSign;


}
