package com.tofly.watermeter.custom.entity.webserverbean;

import lombok.Data;

/**
 * @author bubble
 */
@Data
public class ReadUpload {
  /** 起度 */
  private Long beginScale;
  /** 类型: 1-用户, 2-抄表记录 */
  private Integer type;
  /** 止度 */
  private Long endScale;
  /** 抄见状态 默认1 */
  private Integer readStatus;
  /** 抄表时间 */
  private Long readTime;
  /** 用户id */
  private String userId;
  /** 抄表渠道: 1-抄表录入员、2-抄表APP、3-抄表平台、4-抄表机、5-抄表数据文件 */
  private Integer channel;
  /** 水量 */
  private String amount;

  private String ktId;

  private String images;
}
