package com.tofly.watermeter.custom.entity.webserverbean;

import com.alibaba.fastjson.annotation.JSONField;
import lombok.Data;

/**
 * @author FlashWJL
 * @date 2021/6/11 11:40
 */
@Data
public class ReadWrite {

//        CBLX (string, optional): 抄表类型 ,
//                YHBH (string, optional): 用户编号 ,
//                CBLXBH (string, optional): 抄表路线编号 ,
//                CBB (string, optional): 抄表本 ,
//                SBQD (string, optional): 起度 ,
//                SBZD (string, optional): 止度 ,
//                YSL (string, optional): 用水量 ,
//                SBYXZT (string, optional): 水表运行状态 ,
//                CBRY (string, optional): 抄表人员 ,
//                CBFS (string, optional): 抄表方式 ,
//                CBYF (string, optional): 抄表月份 ,
//                CBRQ (string, optional): 抄表日期 ,
//                BZ (string, optional): 备注 ,
//                CJR (string, optional): 创建人 ,
//                SING (string, optional): 签名 ,
//                ACTION (string, optional): 操作类型

    @JSONField(name = "YHBH")
    private String YHBH;
    @JSONField(name = "SBQD")
    private String SBQD;
    @JSONField(name = "SBZD")
    private String SBZD;
    @JSONField(name = "YSL")
    private String YSL;
    @JSONField(name = "CBYF")
    private String CBYF;
    @JSONField(name = "CBRQ")
    private String CBRQ;
    @JSONField(name = "SING")
    private String SING;
    @JSONField(name = "ACTION")
    private String ACTION;
    @JSONField(name = "CBFS")
    private String CBFS;
    @JSONField(name = "KT_ID")
    private String KT_ID;
    @JSONField(name = "SBBH")
    private String SBBH;



}
