/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.watermeter.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * 周检计划管理
 *
 * @author admin
 * @date Wed Mar 10 00:00:00 CST 2021
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_YWPN_BWSBZJDATAIL_W", resultMap = "bwsbzjdatailMap")
@KeySequence("TF_YWPN_BWSBZJDATAIL_W")
@ApiModel
public class Bwsbzjdatail extends Model<Bwsbzjdatail> {
    private static final long serialVersionUID = 1L;

//    /**
//     * 业务ID
//     */
//    @TableId(value = "ID", type = IdType.INPUT)
//    @ApiModelProperty(value = "业务ID")
//    private Long id;


    /**
     * 客户编号
     */
    @ApiModelProperty(value = "客户编号")
    private String bwKhbh;
    /**
     * 客户姓名
     */
    @ApiModelProperty(value = "客户姓名")
    private String bwKhxm;
    /**
     * 客户地址
     */
    @ApiModelProperty(value = "客户地址")
    private String bwKhdz;
    /**
     * 流水编号
     */
    @ApiModelProperty(value = "流水编号")
    private String bwLsbh;
    /**
     * 客户电话
     */
    @ApiModelProperty(value = "客户电话")
    private String bwKhdh;
    /**
     * 供水片区
     */
    @ApiModelProperty(value = "供水片区")
    private String bwGspq;
    /**
     * 周检月份
     */
    @ApiModelProperty(value = "周检月份")
    private String bwZjyf;
    /**
     * 水表编号
     */
    @ApiModelProperty(value = "水表编号")
    private String bwSbbh;
    /**
     * 水表厂家
     */
    @ApiModelProperty(value = "水表厂家")
    private String bwSbcj;
    /**
     * 水表类型
     */
    @ApiModelProperty(value = "水表类型")
    private String bwSblx;
    /**
     * 水表口径
     */
    @ApiModelProperty(value = "水表口径")
    private String bwSbkj;
    /**
     * 用水性质
     */
    @ApiModelProperty(value = "用水性质")
    private String bwYsxz;
    /**
     * 生成日期
     */
    @ApiModelProperty(value = "生成日期")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date bwScrq;
    /**
     * 安装日期
     */
    @ApiModelProperty(value = "安装日期")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date bwAzrq;
    /**
     * 备注
     */
    @ApiModelProperty(value = "备注")
    private String bwBz;

    @ApiModelProperty(value = "上次生成周检日期")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date scScrq;

    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String sbcjName;
    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String sblxName;
    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private String sbkjName;



}
