/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.watermeter.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
 * 异常水量信息表
 *
 * @author wangjieliu
 * @date Mon Aug 09 00:00:00 CST 2021
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_YWPN_QFCBYCSL_W", resultMap = "qfcbycslMap")
@KeySequence("TF_YWPN_QFCBYCSL_W")
@ApiModel
public class Qfcbycsl extends Model<Qfcbycsl> {
    private static final long serialVersionUID = 1L;

    /**
     * 流水编号,唯一值
     */
    @TableId(value = "ID", type = IdType.INPUT)
    @ApiModelProperty(value = "流水编号,唯一值")
    private Long id;
    /**
     * 关联信息表TF_YWPN_QFCBYWLS_W主键id
     */
    @ApiModelProperty(value = "关联信息表TF_YWPN_QFCBYWLS_W主键id")
    private Long khid;
    /**
     * 审核结果；0：不通过；1：通过
     */
    @ApiModelProperty(value = "审核结果；0：不通过；1：通过")
    private String auditResult;
    /**
     * 异常原因（跑模型原因）
     */
    @ApiModelProperty(value = "异常原因（跑模型原因）")
    private String ycyy;
    /**
     * 审核备注
     */
    @ApiModelProperty(value = "审核备注")
    private String auditCause;
    /**
     * 抄表数据审核标识；0：未审核；1：已审核
     */
    @ApiModelProperty(value = "抄表数据审核标识；0：未审核；1：已审核")
    private String shbz;

}
