/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.watermeter.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;


/**
 * TF_YWPN_QFMIDCBFS_E ；抄表方式
 *
 * @author wangjieliu
 * @date Wed Apr 14 00:00:00 CST 2021
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value="TF_YWPN_QFMIDCBFS_E",resultMap = "qfmidcbfsEMap")
@KeySequence("TF_YWPN_QFMIDCBFS_E")
@ApiModel
public class QfmidcbfsE extends Model<QfmidcbfsE> {
    private static final long serialVersionUID = 1L;

        /**
     * ID
     */
        @TableId(value = "ID",type= IdType.INPUT)
            @ApiModelProperty(value = "ID")
                private Long id;
                /**
     * 编码
     */
            @ApiModelProperty(value = "编码")
                private String cbfsBm;
                /**
     * 名称
     */
            @ApiModelProperty(value = "名称")
                private String cbfsMc;
                /**
     * 有效标志
     */
            @ApiModelProperty(value = "有效标志")
                private String cbfsYxbz;
                /**
     * 序号
     */
            @ApiModelProperty(value = "序号")
                private String cbfsXh;
                /**
     * 创建时间
     */
            @ApiModelProperty(value = "创建时间")
        @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
                private Date cbfsCzrq;
                /**
     * 备注
     */
            @ApiModelProperty(value = "备注")
                private String cbfsBz;
            
}
