package com.tofly.watermeter.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * TF_YWPN_READRECOLRD_W
 *
 * @author
 */
@Data
@TableName(value = "TF_YWPN_READRECOLRD_W", resultMap = "readrecolrdMap")
@KeySequence("TF_YWPN_READRECOLRD_W")
@ApiModel
public class Readrecolrd implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "ID", type = IdType.INPUT)
    @ApiModelProperty(value = "id")
    private Long id;

    @ApiModelProperty(value = "用户编号")
    private String yhbh;

    @ApiModelProperty(value = "用户姓名")
    private String yhxm;

    @ApiModelProperty(value = "水表编号")
    private String sbbh;

    @ApiModelProperty(value = "止度")
    private Long zd;

    @ApiModelProperty(value = "抄表月份")
    private String cbyf;

    @ApiModelProperty(value = "上传标识")
    private String flag;

    @ApiModelProperty(value = "创建人")
    private Long createUserid;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createDate;

    @ApiModelProperty(value = "创建人姓名")
    private String createUsername;

    @ApiModelProperty(value = "上传时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;

    @ApiModelProperty(value = "上传人")
    private Long updateUserid;

    @ApiModelProperty(value = "上传人姓名")
    private String updateUsername;
}