/*
 * Author: wangjian
 * 生成mapper
 */
package com.tofly.watermeter.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.tofly.watermeter.custom.entity.meterRead.ReadCbpq;
import com.tofly.watermeter.entity.Qfcbcbbbm;
import com.tofly.watermeter.entity.Qfcbcbpq;
import org.apache.ibatis.annotations.Param;


import java.util.List;
/**
 * 抄表片区
 *
 * @author wangjieliu
 * @date Wed Apr 14 00:00:00 CST 2021
 */
public interface QfcbcbpqMapper extends BaseMapper<Qfcbcbpq> {
    List<Qfcbcbbbm> getCbbByPq(@Param("pqbm") String qpbm);


    /**
     * 根据名称获取编码
     * @param cbpq
     * @return
     */
    String getBmByMc(String cbpq);

    /**
     * 根据编码获取名称
     * @param cbb
     * @return
     */
    String getMcByBm(String cbb);
}
