/*
 * Author: wangjian
 * 生成Service
 */
package com.tofly.watermeter.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.watermeter.custom.entity.CustomSbYjgl;
import com.tofly.watermeter.custom.entity.Statistic;
import com.tofly.watermeter.custom.entity.file.TurnoverFileInfo;
import com.tofly.watermeter.entity.Bwsbyjgl;

import java.util.List;
import java.util.Map;

/**
 * 水表移交管理表
 *
 * @author wangjieliu
 * @date Fri Mar 19 00:00:00 CST 2021
 */
public interface BwsbyjglService extends IService<Bwsbyjgl> {

    List<Map> selectById(Long id);

    IPage<Map> getScrapInfo(Page page, Statistic statistic);

    IPage<Map> getScrap(Page page, Statistic statistic);


    boolean insertBatch(List<TurnoverFileInfo> bwsbyjglList, CustomSbYjgl bwsbyjgl);
}
