/*
 * Author: wangjian
 * 生成Service
 */
package com.tofly.watermeter.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.watermeter.custom.entity.quality.QualityStatis;
import com.tofly.watermeter.entity.Gjgl;
import com.tofly.watermeter.entity.Gjglxq;

import javax.servlet.http.HttpServletResponse;
import java.util.List;
import java.util.Map;

/**
 * 归集管理表
 *
 * @author wangjieliu
 * @date Wed Mar 09 00:00:00 CST 2022
 */
public interface GjglService extends IService<Gjgl> {

    IPage<Map> collectAnalyzeOne(Page<Gjgl> page, QualityStatis qualityStatis, HttpServletResponse response);

    List<Map> collectAnalyzeTwo(String startDate, String endDate, String collectionNumber, HttpServletResponse response);

    IPage<Map> collectAnalyzeThree(Page<Gjglxq> page, String startDate, String endDate, String collectionNumber, HttpServletResponse response);
}
