/*
 * Author: wangjian
 * 生成ServiceImpl
 */
package com.tofly.watermeter.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.tofly.watermeter.custom.entity.SearchSb;
import com.tofly.watermeter.entity.Bwrepair;
import com.tofly.watermeter.service.BwrepairService;
import org.springframework.stereotype.Service;
import com.tofly.watermeter.mapper.BwrepairMapper;

import java.util.Map;

/**
 * 水表维修记录表
 *
 * @author wangjieliu
 * @date Mon Aug 23 00:00:00 CST 2021
 */
@Service("bwrepairService")
public class BwrepairServiceImpl extends ServiceImpl<BwrepairMapper, Bwrepair> implements BwrepairService {

    @Override
    public IPage<Map> getRepair(Page page, SearchSb searchSb) {
        return baseMapper.getRepair(page , searchSb);
    }
}
