package com.tofly.xrtymis.custom.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import java.io.Serializable;

@Data
@EqualsAndHashCode
@ToString
public class FileBase64Dto implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 文件名称
     */
    @ApiModelProperty(value = "文件名称")
    private String file_name;

    /**
     * 文件类型
     */
    @ApiModelProperty(value = "文件类型")
    private String file_type;

    /**
     * 数据
     */
    @ApiModelProperty(value = "数据")
    private String date;

    /**
     * 文件后缀
     */
    @ApiModelProperty(value = "文件后缀")
    private String suffix;

    /**
     * 处理类型 1、wt_base64 网厅base64
     */
    @ApiModelProperty(value = "处理类型 1、wt_base64")
    private Integer type;
}
