package com.tofly.xrtymis.custom.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

@Data
@EqualsAndHashCode
public class ForeignOrderDto implements Serializable {
    private static final long serialVersionUID = 1L;
    /**
     * 网厅平台:”wt”
     */
    @NotNull
    @ApiModelProperty(value = "网厅平台:”wt”", required = true)
    private String tpname;
    /**
     * 编号，网厅或抄表平台的唯一值
     */
    @NotNull
    @ApiModelProperty(value = "编号，网厅或抄表平台的唯一值", required = true)
    private String gdid;
    /**
     * 工单类型ID
     */
    @NotNull
    @ApiModelProperty(value = "工单类型ID", required = true)
    private String gdlxid;
    /**
     * 工单类型名称
     */
    @NotNull
    @ApiModelProperty(value = "工单类型名称", required = true)
    private String gdlxname;
    /**
     * 工单详细内容描述
     */
    @NotNull
    @ApiModelProperty(value = "工单详细内容描述", required = true)
    private String gdms;
    /**
     * 客户编号，用水客户业务类单子，必传
     */
    @ApiModelProperty(value = "客户编号，用水客户业务类单子，必传")
    private String khbh;
    /**
     * 客户姓名
     */
    @ApiModelProperty(value = "客户姓名")
    private String khxm;
    /**
     * 客户地址
     */
    @ApiModelProperty(value = "客户地址")
    private String khdz;
    /**
     * 联系电话
     */
    @ApiModelProperty(value = "联系电话")
    private String lxdh;


}
