/*
 * Author: wangjian
 * 生成Service
 */
package com.tofly.xrtymis.custom.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.common.core.entity.ResultRespone;
import com.tofly.pojo.comm.Audit;
import com.tofly.xrtymis.entity.Gdgltypebm;
import org.springframework.web.multipart.MultipartFile;

import java.lang.reflect.InvocationTargetException;
import java.util.List;

/**
 * 业务工单类型编码表
 *
 * @author fu
 * @date Sat Mar 20 00:00:00 CST 2021
 */
public interface GdgltypebmService extends IService<Gdgltypebm> {

    ResultRespone getGdgltypeTree(String yxbz,String datatype,String viewType) throws InvocationTargetException, IllegalAccessException;

    boolean orderTypeImport(MultipartFile file);

    List<Audit> getAuditInfo(Audit audit);

    void updateViewType(Long id, String viewType);
}
