/*
 * Author: wangjian
 * 生成Service
 */
package com.tofly.xrtymis.custom.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.common.core.entity.ResultRespone;
import com.tofly.xrtymis.entity.TfYwpnManhole;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

/**
 * 检查井信息采集数据表：TF_YWPN_MANHOLE_W
 *
 * @author fcl
 * @date Fri Apr 16 00:00:00 CST 2021
 */
public interface TfYwpnManholeService extends IService<TfYwpnManhole> {

    ResultRespone saveCheckWell(TfYwpnManhole tfYwpnManhole);

    ResultRespone updateManholeById(List<MultipartFile> fileList, TfYwpnManhole tfYwpnManhole);

    ResultRespone removeManholeById(Long id);
}
