/*
 * Author: wangjian
 * 生成ServiceImpl
 */
package com.tofly.xrtymis.custom.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.tofly.xrtymis.custom.service.ResultdispService;
import com.tofly.xrtymis.entity.Resultdisp;
import org.springframework.stereotype.Service;
import com.tofly.xrtymis.mapper.ResultdispMapper;

import java.util.List;

/**
 * 工单结果处置流程多人员、部门信息表
 *
 * @author wangjieliu
 * @date Sun Nov 28 00:00:00 CST 2021
 */
@Service("resultdispService")
public class ResultdispServiceImpl extends ServiceImpl<ResultdispMapper, Resultdisp> implements ResultdispService {

    @Override
    public Long getMaxId() {
        return baseMapper.getMaxId();
    }

    @Override
    public boolean insertBatch(List<Resultdisp> resultdispList) {
        return baseMapper.insertBatch(resultdispList);
    }
}
