/*
 * Author: wangjian
 * 生成mapper
 */
package com.tofly.xrtymis.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.tofly.pojo.message.Messagepush;
import com.tofly.pojo.message.Messagerecipient;
import com.tofly.xrtymis.entity.File;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 公共文件表： TF_YWPN_FILE_W
 *
 * @author fuchenlin
 * @date Mon Mar 22 00:00:00 CST 2021
 */
public interface FileMapper extends BaseMapper<File> {

    List<String> getFileByIds(@Param("fileIds") String fileIds);
    // 获取对应表的自增长
    Long getTempMaxId(@Param("tableName") String tableName);

    void addMessageList(@Param("list")List<Messagepush> list );

    void addMessageRecipientList(@Param("list")List<Messagerecipient> list);
}
