package com.tofly.qualitycontrol;

import com.tofly.baseapi.config.ToflyWebColudApplication;
import com.tofly.qualitycontrol.config.FeignConfig;
import org.springframework.boot.SpringApplication;
import org.springframework.cloud.openfeign.EnableFeignClients;
import org.springframework.scheduling.annotation.EnableAsync;
import org.springframework.scheduling.annotation.EnableScheduling;

@ToflyWebColudApplication
@EnableFeignClients(basePackages = {"com.tofly.api"}, defaultConfiguration = {FeignConfig.class})
@EnableScheduling
@EnableAsync
public class XrtyQualityControlApplication {

	public static void main(String[] args) {
		SpringApplication.run(XrtyQualityControlApplication.class,args);
	}

}
