package com.tofly.qualitycontrol.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.List;

@Data
@EqualsAndHashCode
public class ClientAttestationDto extends OrderListDto {
    private static final long serialVersionUID = 1L;

    /**
     * 区域编码
     */
    @ApiModelProperty("区域编码")
    private String qybm;

    /**
     * 区段编码
     */
    @ApiModelProperty("区段编码")
    private List<String> qdbm;

    /**
     * 是否导出 true 导出
     */
    @ApiModelProperty("是否导出")
    private Boolean export;

    @ApiModelProperty("查询关键字")
    private String keyword;

}
