package com.tofly.qualitycontrol.dto;


import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.List;

@Data
@EqualsAndHashCode
public class OrderDto extends TimeDto{

    /** 检查项目ID */
    @ApiModelProperty(value = "检查项目ID")
    private List<Long> projectId;

    /** 工单编号、工单内容 */
    @ApiModelProperty(value = "工单编号、工单内容")
    private String content;

    /** 查询类型 0或null：根据登录人员查询；1：根据登录人部门查询 */
    @ApiModelProperty(value = "查询类型 0或null：根据登录人员查询；1：根据登录人部门查询")
    private Integer type;

}
