package com.tofly.qualitycontrol.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.List;

@Data
@EqualsAndHashCode
public class OrderReportDto extends DateDto{
    private static final long serialVersionUID = 1L;

    /** 分组类型 0或null 类型分组；1 部门分组 */
    @ApiModelProperty("分组类型 0或null 类型分组；1 部门分组")
    private Long group;

    /** 检查、缺陷 等类型id */
    @ApiModelProperty("检查、缺陷 等类型id ")
    private List<String> typeIid;

    /** 部门id */
    @ApiModelProperty("部门id")
    private List<String> deptId;

    /** 是否合格 true 是（合格），false 否（不合格）默认false*/
    @ApiModelProperty("是否合格 true 是（合格），false 否（不合格）默认false")
    private Boolean isQualified;

}
