package com.tofly.qualitycontrol.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;


@Data
@EqualsAndHashCode
public class ReportOrderDto extends OrderDto {
    private static final long serialversionuid = 1l;

    /**
     * 工单编号或客户编号
     */
    @ApiModelProperty(value = "工单编号或客户编号")
    private String number;


    /**
     * 工单状态 0报单数、1已办数、2待办数、3完结数、4即将超时、5超时
     */
    @ApiModelProperty(value = "工单状态 0报单数、1待办数、2已办数、3完结数、4即将超时、5超时、6驳回、7转派 ")
    private Integer state;

    /**
     * 工单上报类型 1、上报（只上报）  非1 全部
     */
    @ApiModelProperty(value = "工单编号或客户编号")
    private Long reportType;

}
