package com.tofly.qualitycontrol.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.qualitycontrol.entity.PlanAuditor;
import com.tofly.qualitycontrol.vo.PlanAuditHistoryVO;

import java.util.List;

/**
 * @author B
 */
public interface IPlanAuditorService extends IService<PlanAuditor> {

	/**
	 * 获取最大审核层级数
	 *
	 * @param id
	 * @return java.lang.Integer
	 **/
	Integer getMaxLevel(Long id);

	/**
	 * 批量报错审核人员
	 *
	 * @param planAuditorList
	 * @return java.lang.Boolean
	 **/
	Boolean insertBatch(List<PlanAuditor> planAuditorList);

	List<PlanAuditHistoryVO> getExamine(Long id);
}
