package com.tofly.qualitycontrol.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.qualitycontrol.entity.PlanProcess;
import com.tofly.qualitycontrol.vo.PlanAuditHistoryVO;

import java.util.List;

/**
 * @author B
 */
public interface IPlanProcessService extends IService<PlanProcess> {
	/**
	 * 获取审核历史list
	 *
	 * @param id
	 * @return java.util.List<com.tofly.qualitycontrol.vo.PlanAuditHistoryVO>
	 **/
	List<PlanAuditHistoryVO> getHistoryList(Long id);

}
