package com.tofly.qualitycontrol.vo;

import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import lombok.experimental.Accessors;

/**
 * 业务监控VO
 *
 * @author B
 */
@Data
@EqualsAndHashCode(callSuper = true)
@ApiModel("业务监控VO-detail")
@Accessors(chain = true)
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class BusinessMonitorVO_D extends Model<BusinessMonitorVO_D> {

	private static final long serialVersionUID = 1L;
	/** 检验记录详情vo */
	@ApiModelProperty("检验记录详情vo")
	private CertificationOrderVO_D certificationOrderVO_d;
	/** 整改下达详情vo */
	@ApiModelProperty("整改下达详情vo")
	private RectifyIssueOrderVO_D rectifyIssueOrderVO_d;
	/** 整改处置详情vo */
	@ApiModelProperty("整改处置详情vo")
	private RectifyResultOrderVO_D rectifyResultOrderVO_d;
	/** 整改审核详情vo */
	@ApiModelProperty("整改审核详情vo")
	private RectifyAuditOrderVO_D rectifyAuditOrderVO_d;
	/** 整改验证详情vo */
	@ApiModelProperty("整改验证详情vo")
	private RectifyVerifyOrderVO_D rectifyVerifyOrderVO_d;
	/** 验证审核详情vo */
	@ApiModelProperty("验证审核详情vo")
	private RectifyValidateOrderVO_D rectifyValidateOrderVO_d;

}
