package com.tofly.qualitycontrol.vo;

import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import lombok.experimental.Accessors;

/**
 * 归集汇总分析-波动图VO
 *
 * @author B
 */
@Data
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = true)
@ApiModel("归集汇总分析-波动图VO")
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class CollectionNumberSummaryGraphVO extends Model<CollectionNumberSummaryGraphVO> {

	private static final long serialVersionUID = 1L;
	/** 时间 */
	@ApiModelProperty("时间")
	private String date;
	/** 合计水量 */
	@ApiModelProperty("合计水量")
	private Double waterVolumeSum;

}
