package com.tofly.qualitycontrol.vo;

import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * 归集管理VO
 *
 * @author B
 */
@Data
@EqualsAndHashCode(callSuper = true)
@ApiModel("归集管理VO")
@Accessors(chain = true)
public class CollectionNumberVO extends Model<CollectionNumberVO> {

	private static final long serialVersionUID = 1L;
	/** 归集管理表主键id */
	@ApiModelProperty(value = "归集管理表主键id")
	private Long id;
	/** 归集编号 */
	@ApiModelProperty("归集编号")
	private String collectionNumber;
	/** 归集名称 */
	@ApiModelProperty("归集名称")
	private String collectionName;
	/** 归集数量 */
	@ApiModelProperty("归集数量")
	private Integer collectionCount;
	/** 归集类型 */
	@ApiModelProperty("归集类型 字典")
	private String collectionType;
	/** 归集状态 */
	@ApiModelProperty("归集状态 字典")
	private String collectionStatus;

}
