package com.tofly.qualitycontrol.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
@Data
@EqualsAndHashCode
public class RectifyQualifiedVo implements Serializable {
    private static final long serialVersionUID = 1L;

    /** 日期*/
    @ApiModelProperty("日期")
    private String dataTime;
    /** 上报工单数、工单总数 、检验总数*/
    @ApiModelProperty("上报工单数、工单总数、检验总数")
    private Long dispatchSize;
    /** 合格数*/
    @ApiModelProperty("合格数")
    private Long hg;
    /** 不合格数*/
    @ApiModelProperty("不合格数")
    private Long nhg;
    /** 合格率*/
    @ApiModelProperty("合格率")
    private Double hgl;

}
