package com.tofly.base.em;

/**
 * @author fcl
 * @date 2021/3/26 14:47
 */
public class Constant {
    /**
     * 导入导出文件相关
     */
    public static String DEFAULT_REPORT_IMPORT_FOLDER = "/report/import";
    public static String DEFAULT_REPORT_EXPORT_FOLDER = "/report/export";

    /**
     * 系统分隔符
     */
    public static String SYSTEM_SEPARATOR = "/";

    /**
     * 获取项目根目录
     */
    public static String PROJECT_ROOT_DIRECTORY = System.getProperty("user.dir").replaceAll("\\\\", SYSTEM_SEPARATOR);

    /**
     * excel导出测试临时存储路径
     */
    public static String FILE_PATH_TEST_EXPORT_EXCEL = PROJECT_ROOT_DIRECTORY + "/excel.xls";

    public static String YES = "1";

    public static String NO = "0";

    public static String POINT = ".";

    public static String CSV = ",";
}
