/*
 * Author: wangjian
 * 生成mapper
 */
package com.tofly.base.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.base.entity.Sdeversion;
import com.tofly.base.entity.UserSdeversion;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 上图员数据版本记录表
 *
 * @author wangjian
 * @date Thu Apr 09 00:00:00 CST 2020
 */
public interface SdeversionMapper extends BaseMapper<Sdeversion> {
       Object getauditorName(@Param("auditor") Short auditor);
       List<UserSdeversion> getUserSdeversionMap(Page page, @Param("user") UserSdeversion user);
       String  getRoleName(@Param("id") Long id);
}
