/*
 * Author: wangjian
 * 生成ServiceImpl
 */
package com.tofly.base.service.impl;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.tofly.base.entity.System;
import com.tofly.base.mapper.SystemMapper;
import com.tofly.base.service.SystemService;
import com.tofly.common.oauth.util.SecurityUtils;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

/**
 * 子系统配置信息表
 *
 * @author admin
 * @date Thu Oct 10 00:00:00 CST 2019
 */
@Service("systemService")
public class SystemServiceImpl extends ServiceImpl<SystemMapper, System> implements SystemService {

    @Override
    public List<System> getSystemListByUser(String platform) {
        return baseMapper.getSystemListByUser(SecurityUtils.getUserId(),platform);
    }

    @Override
    public Page<Map<String, Object>> listSystemPage(Page page) {
        return page.setRecords(baseMapper.listSystemPage(page));
    }

    }
