package com.tofly.pojo.car;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

/**
 * @author wujianjun
 * @date 2023/12/11 10:30
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "CAR_OIL_FILE", resultMap = "meicunCarOilFile")
@ApiModel
public class CarOilFile extends Model<CarOilFile> {
    
    @TableId(value = "ID", type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "ID，主键")
    private Long id;
    private String pid;
    private Integer dataStatus;
    private Date createdDate;
    private String filePath;
}
