package com.tofly.pojo.car.cusom;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

@Data
public class CarUploadSearch {
    @ApiModelProperty(value = "车辆ID[选填]")
    private Long carId;
    @ApiModelProperty(value = "部门唯一标识[选填]")
    private Long deptId;
    @JsonFormat(pattern="yyyy-MM-dd",timezone = "GMT+8")
    @DateTimeFormat(pattern="yyyy-MM-dd")
    @ApiModelProperty(value = "查询日期[必填] yyyy-MM-dd")
    private Date date;
}
