package com.tofly.pojo.car.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

@Data
public class CarMochaitomVo implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "使用时间")
    private String useTime;

    @ApiModelProperty(value = "车辆ID")
    private Long carId;

    @ApiModelProperty(value = "所属部门")
    private String deptName;

    @ApiModelProperty(value = "车牌号")
    private String carNumber;

    @ApiModelProperty(value = "车辆类型")
    private String carType;

    @ApiModelProperty(value = "使用次数")
    private Integer useNum;

    @ApiModelProperty(value = "加油次数")
    private Integer oilNum;

    @ApiModelProperty(value = "燃油费用")
    private BigDecimal oilCost;

    @ApiModelProperty(value = "行驶里程")
    private BigDecimal carMileage;
}
