package com.tofly.pojo.car.vo;

import com.tofly.pojo.maintain.EventMange;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;
import java.util.List;

@Data
@ApiModel
public class CarTrackVo {
    private Long id;
    @ApiModelProperty(value = "车辆id")
    private Long carId;
    @ApiModelProperty(value = "使用人")
    private  String userName;
    @ApiModelProperty(value = "使用人id")
    private Long userId;
    @ApiModelProperty(value = "时间类型 ")
    private String type;
    @ApiModelProperty(value = "车牌号 ")
    private String carNo;
    @ApiModelProperty(value = "型号 ")
    private String model;
    @ApiModelProperty(value = "负责人 ")
    private String chargePersonName;
    @ApiModelProperty(value = "部门名称 ")
    private String departmentName;
    @ApiModelProperty(value = "巡查开始时间 ")
    private Date beginDate;
    @ApiModelProperty(value = "巡查结束时间 ")
    private Date endDate;
    @ApiModelProperty(value = "巡查里程 ")
    private String length;
    private List<String> trackSections;
    private List<EventMange> eventMangeList;



}
