/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.pojo.maintain;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import java.math.BigDecimal;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.List;
import java.util.stream.Collectors;


/**
 * 
 *
 * @author wangzhun
 * @date Wed May 11 00:00:00 CST 2022
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value="TF_YWPN_FLOODSEASON_W",resultMap = "floodSeasonWMap")
@KeySequence("TF_YWPN_FLOODSEASON_W")
@ApiModel
public class FloodSeasonW extends Model<FloodSeasonW> {
    private static final long serialVersionUID = 1L;

        /**
     * 
     */
        @TableId(value = "id",type= IdType.ASSIGN_ID)
            @ApiModelProperty(value = "")
                private Long id;
                /**
     * 是否为警情 1是 0否
     */
            @ApiModelProperty(value = "是否为警情 1是 0否")
                private Boolean police;
                /**
     * 位置
     */
            @ApiModelProperty(value = "位置")
                private String position;
                /**
     * 详细地址
     */
            @ApiModelProperty(value = "详细地址")
                private String address;
                /**
     * 设施
     */
            @ApiModelProperty(value = "设施")
                private String facility;
                /**
     * 
     */
            @ApiModelProperty(value = "")
                private Double x;
                /**
     * 
     */
            @ApiModelProperty(value = "")
                private Double y;
                /**
     * 
     */
            @ApiModelProperty(value = "")
                private String detail;
                /**
     * 建议
     */
            @ApiModelProperty(value = "建议")
                private String suggest;
                /**
     * 上报时间
     */
            @ApiModelProperty(value = "上报时间")
        @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
            @TableField(value = "CREATE_TIME",fill = FieldFill.INSERT)
            private Date createTime;
                /**
     * 上报人
     */
            @ApiModelProperty(value = "上报人")
                private BigDecimal createUserid;
                /**
     * 隐患附件IDS，多个附件id用英文等号分割“,”,关联公共文件表TF_YWPN_FILE _W主键
     */
            @ApiModelProperty(value = "隐患附件IDS，多个附件id用英文等号分割“,”,关联公共文件表TF_YWPN_FILE _W主键")
                private String uploadFileids;

             @ApiModelProperty(value = "状态")
            private String status;
            
}
