/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.pojo.maintain;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;
import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.List;
import java.util.stream.Collectors;


/**
 * 管网设施维护保养评价记录
 *
 * @author admin
 * @date Tue Oct 26 00:00:00 CST 2021
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_YMPN_PIPE_MF_EVALUATE_W", resultMap = "pipeMfEvaluateMap")
@ApiModel
public class PipeMfEvaluate extends Model<PipeMfEvaluate> {
    private static final long serialVersionUID = 1L;

    /**
     * $column.comments
     */
    @TableId(value = "ID", type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "$column.comments")
    private Long id;
    /**
     * 管网设施保养记录id
     */
    @ApiModelProperty(value = "管网设施保养记录id")
    private Long mfId;
    /**
     * 管网设施维护评价序号
     */
    @ApiModelProperty(value = "管网设施维护评价序号")
    private String mfEvaluateSerialNumber;
    /**
     * 管网设施维护评价内容
     */
    @ApiModelProperty(value = "管网设施维护评价内容")
    private String mfEvaluateNode;
    /**
     * 是否评价
     */
    @ApiModelProperty(value = "是否评价")
    private String mfEvaluateFlag;

    @ApiModelProperty(value = "管网设施维护评价结果")
    private String mfEvaluateResult;
}
