package com.tofly.pojo.monitor.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@ApiModel
public class MonitorDto {
    @ApiModelProperty(value = "部门（多个用,分隔）")
    private  String departmentId;
    @ApiModelProperty(value = "负责人")
    private  Long  userId;
    @ApiModelProperty(value = "状态  1上班  2下班  3未打卡")
    private  String status;
    @ApiModelProperty(value = "日期")
    private String date;
    @ApiModelProperty(value = "开始时间 yyyy-MM-dd HH:mm:ss")
    private String startDate;
    @ApiModelProperty(value = "结束时间 yyyy-MM-dd HH:mm:ss")
    private String endDate;
    @ApiModelProperty(value = "车辆ID")
    private Long carId;
}
