package com.tofly.pojo.plan.dto;


import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author lzw
 * @date 2021/3/12 10:48
 */
@Data
public class PlanDeviceDTO {
    @ApiModelProperty(value = "设备类别(污水处理厂/泵站) PCID = 50700")
    private Long category;
    @ApiModelProperty(value = "污水厂名称(模糊查询)")
    private String belongStationName;
    @ApiModelProperty(value = "泵站名称(模糊查询)")
    private String belongPumpName;
    @ApiModelProperty(value = "设备名称(模糊查询)")
    private String deviceName;
    @ApiModelProperty(value = "巡检状态(是否到位/维护 0否 1是)")
    private String isOver;
    @ApiModelProperty(value = "污水厂id")
    private Long belongStationId;
    @ApiModelProperty(value = "泵站id")
    private Long belongPumpId;
    @ApiModelProperty(value = "计划id")
    private Long planId;
    @ApiModelProperty(value = "所属对象")
    private String belongObj;
    @ApiModelProperty(value = "污水厂编码")
    private String no;
    @ApiModelProperty(value = "是否厂站 1污水厂 2泵站 0否 默认0")
    private String isStation;

}
