/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.pojo.plan.dto;

import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.tofly.pojo.plan.PlanFactory;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;


/**
 * 计划下发厂站设备关联表
 *
 * @author admin
 * @date Mon Mar 29 00:00:00 CST 2021
 */
@Data
@ApiModel
public class PlanFactoryDto extends Model<PlanFactoryDto> {
    private static final long serialVersionUID = 1L;
    @ApiModelProperty(value = "批量更新巡检计划内容")
    private List<PlanFactory> planFactoryList;

    @ApiModelProperty(value = "上传点到位用户id")
    private Long userId;

}
