package com.tofly.pojo.plan.dto;

import com.tofly.pojo.maintain.Repairorder;
import com.tofly.pojo.plan.Plan;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * 代办任务 消息处理对象
 *
 * @author Zev
 */
@Data
@ApiModel
public class TaskMessageDto implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "上报审批对象")
    private ReportAuditDto reportAuditDto;
    @ApiModelProperty(value = "计划对象列表")
    private List<Plan> planList;
    @ApiModelProperty(value = "工单对象")
    private Repairorder repairorder;
    @ApiModelProperty(value = "工单对象列表")
    private List<Repairorder> repairOrderList;
}
