package com.tofly.pojo.statement.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * 耗材情况导出子集对象
 * @author BZ-DJJ
 */
@Data
public class MaterialConditionsChildVo implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "规格型号")
    private String specification;

    @ApiModelProperty(value = "数量")
    private Long num;

    @ApiModelProperty(value = "单位")
    private String unit;
}
