package com.tofly.pojo.statement.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * 隐患原因统计前端展示对象
 * @author BZ-DJJ
 */
@Data
public class TroubleCauseVo implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty("隐患原因")
    private String troubleType;

    @ApiModelProperty("隐患数量")
    private Long troubleNum;

    @ApiModelProperty("占比(%)")
    private BigDecimal rate;
}
