package com.tofly.pojo.statement.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.List;

/**
 * 隐患趋势分析导出对象
 *
 * @author BZ-DJJ
 */
@Data
public class TroubleTrendAnalysisBaseVo implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "隐患类型")
    private String troubleTypeName;

    @ApiModelProperty(value = "隐患类型总计")
    private Long totalNum;

    @ApiModelProperty(value = "隐患类型比例总计")
    private BigDecimal totalRate;

    @ApiModelProperty(value = "分析明细数据")
    private List<TroubleTrendAnalysisVo> voList;
}
