/*
 * Author: Zev
 * 生成entity
 */
package com.tofly.pojo.trouble.vo.detail;

import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.tofly.pojo.plan.vo.PlanchildVo;
import com.tofly.pojo.plan.vo.RecordVo;
import com.tofly.pojo.trouble.vo.ToubleclearVo;
import com.tofly.pojo.trouble.vo.TroubleVo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;


/**
 * 隐患详情信息
 *
 * @author admin
 * @date Thu Mar 18 00:00:00 CST 2021
 */
@Data
@ApiModel
public class TroubleDetailVo extends Model<TroubleDetailVo> {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "子计划信息")
    private List<PlanchildVo> planchildVoList;

    @ApiModelProperty(value = "隐患消除申请信息")
    private List<ToubleclearVo> troubleClearVoList;

    @ApiModelProperty(value = "隐患巡查记录信息")
    private List<RecordVo> recordVoList;

    @ApiModelProperty(value = "隐患派工信息")
    private TroubleDispatchingVo troubleDispatchingVo;

    @ApiModelProperty(value = "隐患信息")
    private TroubleVo troubleVo;

}
