package com.tofly.gpsboot.custom.controller;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.common.core.entity.ResultRespone;
import com.tofly.gpsboot.custom.service.CustomCarGpsService;
import io.swagger.annotations.ApiOperation;
import lombok.AllArgsConstructor;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;


@RestController
@AllArgsConstructor
@RequestMapping("/cargps")
public class CustomCarGpsController {

    private final CustomCarGpsService customCarGpsService;

    @ApiOperation(tags="车辆GPS设备管理接口",value = "根据设备编号模糊分页查询")
    @GetMapping("/meidpage")
    public ResultRespone pageByCarNumber(Page page , String meId){
        return ResultRespone.success(customCarGpsService.pageByMeId(page, meId));
    }
}
