package com.tofly.gpsboot.custom.service.impl;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

import com.tofly.gpsboot.custom.mapper.CustomCarFilemmMapper;
import com.tofly.gpsboot.custom.service.CustomCarFilemmService;
import com.tofly.pojo.car.cusom.CustomCarFilemm;
import lombok.AllArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

import java.util.Map;

@Service
@AllArgsConstructor
@Slf4j
public class CustomCarFilemmServiceImpl extends ServiceImpl<CustomCarFilemmMapper, CustomCarFilemm> implements CustomCarFilemmService {

    @Override
    public Page<Map> pageByCarNumber(Page page, String number) {
        return page.setRecords(baseMapper.pageByCarNumber(page, number));
    }
}
