package com.tofly.gpsboot.custom.service.impl;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.tofly.gpsboot.custom.mapper.CustomCarGpsMapper;
import com.tofly.gpsboot.custom.service.CustomCarGpsService;
import com.tofly.pojo.car.cusom.CustomCarGps;
import lombok.AllArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

import java.util.Map;

@Service
@AllArgsConstructor
@Slf4j
public class CustomCarGpsServiceImpl extends ServiceImpl<CustomCarGpsMapper, CustomCarGps> implements CustomCarGpsService {
    @Override
    public Page<Map> pageByMeId(Page page, String meId) {
        return page.setRecords(baseMapper.pageByMeId(page, meId));
    }
}
