/*
 * Author: Zev
 * 生成mapper
 */
package com.tofly.gpsboot.mapper.fill;


import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.pojo.fill.FillMonth;
import com.tofly.pojo.fill.FillVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;


public interface FillMonthMapper extends BaseMapper<FillMonth> {

    Page<FillMonth> getFillMonthPage(Page page, @Param("dto") FillMonth fillMonth);

    List<FillMonth> getFillMonthPage(@Param("dto") FillMonth fillMonth);

    List<FillVo> getStationDeptList(@Param("sewageIds") List<Long> sewageIds);

//    List<FillVo> getIndexValDay(@Param("startDate") String startDate, @Param("endDate") String endDate, @Param("belongSewageId") Long belongSewageId);

//    List<FillVo> getIndexValMonth(@Param("startMonth") String startMonth, @Param("endMonth") String endMonth);

    List<FillMonth> getIndexValYear(@Param("startYear") String startYear, @Param("endYear") String endYear, @Param("sewageIds") List<Long> sewageIds);

}
