/*
 * Author: Zev
 * 生成mapper
 */
package com.tofly.gpsboot.mapper.plan;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.pojo.plan.Plan;
import com.tofly.pojo.plan.dto.PlanDto;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.Map;

/**
 * 巡检计划详细信息表：TF_YWPN__PLAN_W
 *
 * @author admin
 * @date Thu Mar 18 00:00:00 CST 2021
 */
public interface PlanMapper extends BaseMapper<Plan> {
    Page<Plan> getPlanPage(Page page, @Param("dto") PlanDto dto);

    Map<String,Object> getPlanRecordCount(@Param("startDate")Date startDate,@Param("userId")Long userId);
}
