/*
 * Author: wangjian
 * 生成Service
 */
package com.tofly.gpsboot.service.paln.task;

import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.pojo.plan.PlanInspectGroup;


/**
 * 计划与巡检组关联表
 *
 * @author admin
 * @date Tue Mar 30 00:00:00 CST 2021
 */
public interface PlanInspectGroupService extends IService<PlanInspectGroup> {
    /**
     * 根据巡检计划id获取巡检组名称
     * @param planId
     * @return
     */
    String getInspectGroupName(Long planId);

    /**
     * 根据巡检计划id获取巡检组id
     * @param planId
     * @return
     */
    Long getInspectGroupId(Long planId);
}
