///*
// * Author: wangjian
// * 生成controller
// */
//package com.tofly.xrtygis.controller;
//
//import com.baomidou.mybatisplus.core.toolkit.Wrappers;
//import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
//import com.tofly.common.core.entity.ResultRespone;
//import com.tofly.common.core.util.StringUtil;
//import com.tofly.common.log.annotation.ToFlyAppLog;
//import com.tofly.common.oauth.exception.ToflyDeniedException;
//import com.tofly.common.oauth.util.SecurityUtils;
//import com.tofly.xrtygis.entity.Pfrecord;
//import com.tofly.xrtygis.service.PfrecordService;
//import lombok.AllArgsConstructor;
//import org.springframework.web.bind.annotation.*;
//import io.swagger.annotations.Api;
//import io.swagger.annotations.ApiOperation;
//import io.swagger.annotations.ApiImplicitParam;
//import io.swagger.annotations.ApiImplicitParams;
//import org.springframework.web.bind.annotation.ModelAttribute;
//
//import java.util.Arrays;
//
///**
// * 评分记录表
// *
// * @author wangjieliu
// * @date Thu Jun 17 00:00:00 CST 2021
// */
//@RestController
//@AllArgsConstructor
//@RequestMapping("/pfrecord")
//@Api(tags = "评分记录表接口")
//public class PfrecordController {
//
//    private final PfrecordService pfrecordService;
//
//    /**
//     * 分页查询
//     *
//     * @param page     分页对象
//     * @param pfrecord 评分记录表
//     * @return
//     */
//    @GetMapping("/page")
//    @ApiOperation(value = "分页查询")
//    public ResultRespone getPfrecordPage(Page page, @ModelAttribute Pfrecord pfrecord) {
//        return ResultRespone.success(pfrecordService.page(page, Wrappers.query(pfrecord)));
//    }
//
//
//    /**
//     * 通过id查询评分记录表
//     *
//     * @param id id
//     * @return ResultRespone
//     */
//    @GetMapping("/{id}")
//    @ApiOperation(value = "通过ID查询")
//    @ApiImplicitParams({
//            @ApiImplicitParam(name = "id", value = "ID", required = true, dataType = "Long")
//    })
//    public ResultRespone getById(@PathVariable("id") Long id) {
//        return ResultRespone.success(pfrecordService.getById(id));
//    }
//
//
//
//    /**
//     * 修改评分记录表
//     *
//     * @param pfrecord 评分记录表
//     * @return ResultRespone
//     */
//    //(title = "修改评分记录表")
//    @ApiOperation(value = "修改评分记录表")
//    @PutMapping
//    public ResultRespone updateById(@RequestBody Pfrecord pfrecord) {
//        return ResultRespone.success(pfrecordService.updateById(pfrecord));
//    }
//
//    /**
//     * 通过id删除评分记录表
//     *
//     * @param id id
//     * @return ResultRespone
//     */
//    //(title = "通过id删除评分记录表")
//    @ApiOperation(value = "通过ID删除评分记录表")
//    @ApiImplicitParams({
//            @ApiImplicitParam(name = "id", value = "ID", required = true, dataType = "Long")
//    })
//    @DeleteMapping("/{id}")
//    public ResultRespone removeById(@PathVariable Long id) {
//        return ResultRespone.success(pfrecordService.removeById(id));
//    }
//
//    /**
//     * 通过id批量删除评分记录表
//     *
//     * @param ids id
//     * @return ResultRespone
//     */
//    //(title = "通过id批量删除评分记录表")
//    @ApiOperation(value = "通过ID批量删除评分记录表")
//    @ApiImplicitParams({
//            @ApiImplicitParam(name = "ids", value = "批量删除，多个id以逗号隔开", required = true, dataType = "String")
//    })
//    @DeleteMapping("/deleteByIds")
//    public ResultRespone removeByIds(String ids) {
//        return ResultRespone.success(pfrecordService.removeByIds(Arrays.asList(ids.split(","))));
//    }
//}
