package com.tofly.xrtygis.custom.controller;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.common.core.entity.ResultRespone;
import com.tofly.xrtygis.custom.service.CustomKhService;
import com.tofly.xrtygis.entity.Qfkhjbxx;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.AllArgsConstructor;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @author FlashWJL
 * @date 2021/3/29 14:00
 */
@RestController
@AllArgsConstructor
@RequestMapping("/khinfo")
@Api(tags = "客户信息获取")
public class CustomKhController {

    private final CustomKhService khService;

    @GetMapping("/getkh")
    @ApiOperation(value = "客户信息查询")
    public ResultRespone getkh(Page page, Qfkhjbxx qfkhjbxx) {
        return ResultRespone.success(khService.getKh(page, qfkhjbxx));
    }



}
