package com.tofly.xrtygis.custom.entity.ImportDto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class UnitPlanDto {

    /**
     * 年月，如2021-01
     */
    @ApiModelProperty(value = "年份")
    private String year;
    @ApiModelProperty(value = "月份")
    private String month;
    /**
     * 一厂PAC单耗（kg/km³）
     */
    @ApiModelProperty(value = "一厂PAC单耗（kg/km³）")
    private Double pacdhOne;
    /**
     * 二厂PAC单耗（kg/km³）
     */
    @ApiModelProperty(value = "二厂PAC单耗（kg/km³）")
    private Double pacdhTwo;
    /**
     * 一厂食盐单耗（kg/km³）
     */
    @ApiModelProperty(value = "一厂食盐单耗（kg/km³）")
    private Double sydhOne;
    /**
     * 二厂液氯单耗（kg/km³）
     */
    @ApiModelProperty(value = "二厂液氯单耗（kg/km³）")
    private Double yldhTwo;
    /**
     * 一厂制水单位电耗（kwh/km³）
     */
    @ApiModelProperty(value = "一厂制水单位电耗（kwh/km³）")
    private Double dhOne;
    /**
     * 二厂制水单位电耗（kwh/km³）
     */
    @ApiModelProperty(value = "二厂制水单位电耗（kwh/km³）")
    private Double dhTwo;
}


