package com.tofly.xrtygis.custom.entity.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author 20126
 */
@Data
@ApiModel
public class RelationshipCostDto {
    @ApiModelProperty("0:一厂  1:二厂  2:总")
    private String code;
    /**
     * 原水数据指标编号
     */
    @ApiModelProperty("原水数据指标编号")
    private String primary;
    /**
     * 过程水数据编号
     */
    @ApiModelProperty("过程水数据编号")
    private String process;

    /**
     * 单耗指标（一厂）
     */
    @ApiModelProperty("单耗指标")
    private String pacOne;
    @ApiModelProperty("食盐指标")
    private String syOne;
    @ApiModelProperty("制水电耗一厂")
    private String zsdhOne;

    /**
     * 总耗（一厂）
     */
    @ApiModelProperty("一厂次钠总耗")
    private String cnOne;

    /**
     * 制水成本
     */
    @ApiModelProperty("制水成本对应字段")
    private String param;


    /**
     * 单耗二厂
     */
    @ApiModelProperty("二厂pac指标")
    private String pacTwo;
    @ApiModelProperty("高锰酸钾指标")
    private String gmsj;
    @ApiModelProperty("液氯指标")
    private String yl;
    @ApiModelProperty("pam指标")
    private String pamTwo;
    @ApiModelProperty("制水电耗二厂")
    private String zsdhTwo;
    @ApiModelProperty("次钠单耗")
    private String cndhTwo;

    /**
     * 制水总耗 二厂
     */
    @ApiModelProperty("pam总耗")
    private String pam;
    @ApiModelProperty("高锰酸钾总耗")
    private String gmsjfhy;
    @ApiModelProperty("粉碳总耗")
    private String ft;

    @ApiModelProperty("开始时间")
    private String start;

    @ApiModelProperty("结束时间")
    private String end;

    @ApiModelProperty("取水量一厂指标")
    private String qslOne;
    @ApiModelProperty("取水量二厂指标")
    private String qslTwo;


}
