package com.tofly.xrtygis.custom.entity.webserverbean;

import com.alibaba.fastjson.annotation.JSONField;
import com.tofly.common.core.util.Date8Util;
import lombok.Data;

/**
 * 抄表欠费及缴费
 *
 * @author FlashWJL
 * @date 2021/7/13 19:53
 */
@Data
public class GetReadAndFees {
    /**
     * CBPQ (string, optional): 片区（编码） ,
     * CBB (string, optional): 抄表本（编码) ,
     * YHBH (string, optional): 客户编号（可多个传入） ,
     * SBBH (string, optional): 水表编号（可多个传入） ,
     * CBYF_START (string, optional): 抄表开始月份(yyyyMM—202101) ,
     * CBYF_END (string, optional): 抄表结束月份(yyyyMM—202104) ,
     * SING (string, optional): 签名 ,
     * ACTION (string, optional): 操作类型
     */

    @JSONField(name = "CBPQ")
    private String CBPQ;
    @JSONField(name = "CBB")
    private String CBB;
    @JSONField(name = "YHBH")
    private String YHBH;
    @JSONField(name = "SBBH")
    private String SBBH;
    @JSONField(name = "CBYF_START")
    private String CBYF_START;
    @JSONField(name = "CBYF_END")
    private String CBYF_END;
    @JSONField(name = "SING")
    private String SING;
    @JSONField(name = "ACTION")
    private String ACTION;


}
