package com.tofly.xrtygis.entity;

import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

@Data
@TableName(value = "TF_YWPN_DYYH_W", resultMap = "dyyhMap")
@KeySequence("TF_YWPN_DYYH_W")
@ApiModel
public class Dyyh {
    @ApiModelProperty(value = "用户编号")
    private String yhbh;
    @ApiModelProperty(value = "短信发送次数")
    private Long dxnum;
    @ApiModelProperty(value = "最新时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date newtime;
    @ApiModelProperty("压力值")
    private Double ylz;

}
