/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.xrtygis.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
 * 短信模板
 *
 * @author wangjieliu
 * @date Tue Jun 22 00:00:00 CST 2021
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_YMPN_GARDETEMPLATE_W", resultMap = "gardetemplateMap")
@KeySequence("TF_YMPN_GARDETEMPLATE_W")
@ApiModel
public class Gardetemplate extends Model<Gardetemplate> {
    private static final long serialVersionUID = 1L;

    /**
     * $column.comments
     */
    @TableId(value = "ID", type = IdType.INPUT)
    @ApiModelProperty(value = "$column.comments")
    private Long id;
    /**
     * 服务真诚
     */
    @ApiModelProperty(value = "建立客户关系：服务真诚")
    private Integer fwzc;
    /**
     * 耐心服务尊重客户
     */
    @ApiModelProperty(value = "建立客户关系：耐心服务尊重客户")
    private Integer zzkg;
    /**
     * 服务用语
     */
    @ApiModelProperty(value = "建立客户关系：服务用语")
    private Integer fwyy;
    /**
     * 语音语调
     */
    @ApiModelProperty(value = "建立客户关系：语音语调")
    private Integer yyyd;
    /**
     * 解答完整
     */
    @ApiModelProperty(value = "业务知识：解答完整")
    private Integer jdwz;
    /**
     * 解答准确
     */
    @ApiModelProperty(value = "业务知识：解答准确")
    private Integer jdzq;
    /**
     * 倾听理解
     */
    @ApiModelProperty(value = "沟通能力：倾听理解")
    private Integer qtlj;
    /**
     * 信息理解
     */
    @ApiModelProperty(value = "沟通能力：信息收集")
    private Integer xxsj;
    /**
     * 信息确认
     */
    @ApiModelProperty(value = "沟通能力：信息确认")
    private Integer xxqr;
    /**
     * 对话技巧
     */
    @ApiModelProperty(value = "沟通能力：对话技巧")
    private Integer dhjq;
    /**
     * 资料库查询操作
     */
    @ApiModelProperty(value = "执行能力：资料库查询操作")
    private Integer zlk;
    /**
     * 流程规范应用
     */
    @ApiModelProperty(value = "执行能力：流程规范应用")
    private Integer lcgf;

}
