package com.tofly.xrtygis.entity.vo;

import com.tofly.xrtygis.entity.Costrlfixed;
import lombok.Data;
import lombok.EqualsAndHashCode;

@EqualsAndHashCode(callSuper = true)
@Data
public class FinanceIsAllowedVo extends Costrlfixed {
    /**
     * 供水量-一厂
     */
    private Double gslOne;
    /**
     *供水量-二厂
     */
    private Double gslTwo;
    /**
     *供水-青白江
     */
    private Double gslQbj;
    /**
     *供水量-总
     */
    private Double gslTotal;
    /**
     *制水量-一厂
     */
    private Double zslOne;
    /**
     *制水量-二厂
     */
    private Double zslTwo;
    /**
     *制水量-红旗水库
     */
    private Double zslHqsk;
    /**
     *制水量-总
     */
    private Double zslTotal;
    /**
     *售水量
     */
    private Double sslTotal;

    /**
     *未上盘水量
     */
    private Double wspsl;
    /**
     *pac-一厂
     */
    private Double pacOne;
    /**
     *pac-二厂
     */
    private Double pacTwo;
    /**
     *食盐-一厂
     */
    private Double syOne;
    /**
     *液氯-二厂
     */
    private Double ylTwo;
    /**
     *pam
     */
    private Double pam;
    /**
     *粉碳
     */
    private Double ft;
    /**
     *次钠
     */
    private Double cn;
    /**
     *高锰酸钾
     */
    private Double gmsjfhy;
    /**
     *污泥PAM
     */
    private Double pamWy;
    /**
     *冰醋酸
     */
    private Double bcs;
    /**
     *污泥转量
     */
    private Double wnzl;
    /**
     *动力电量-一厂
     */
    private Double dldlOne;
    /**
     *动力电量-二厂
     */
    private Double dldlTwo;
    /**
     *动力电量-总
     */
    private Double dldlTotal;
    /**
     *基本电量-一厂
     */
    private Double jbdlOne;
    /**
     *基本电量-二厂
     */
    private Double jbdlTwo;
    /**
     *基本电量-总
     */
    private Double jbdlTotal;
    /**
     *其他
     */
    private Double other;

    private Double cnTwo;

    private Double otherOneZfy;

    private Double otherTwoZfy;

    private Double otherOne;

    private Double otherTwo;
}
