package com.tofly.xrtygis.entity.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * 首页-热线管理系统 满意度
 * @author BZ-DJJ
 */
@Data
public class HotlineSatisfactionStatisticalVo implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty("回访总数")
    private BigDecimal totalReturn;

    @ApiModelProperty("非常满意")
    private BigDecimal greatSatisfactionNum;

    @ApiModelProperty("满意")
    private BigDecimal satisfactionNum;

    @ApiModelProperty("一般")
    private BigDecimal generalNum;

    @ApiModelProperty("不满意")
    private BigDecimal dissatisfactionNum;

}
