package com.tofly.xrtygis.entity.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;
import java.util.List;
import java.util.zip.ZipEntry;

@Data
public class ValvePitZipVo implements Serializable {

    @ApiModelProperty(value = "阀井编码")
    private String valvePitCode;

    @ApiModelProperty(value = "压缩文件中文件列表")
    private List<ZipEntry> zipEntries;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

}
