/*
 * Author: wangjian
 * 生成mapper
 */
package com.tofly.xrtygis.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.tofly.xrtygis.entity.DmaStatistical;
import com.tofly.xrtygis.entity.Dmaandobser;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * DMA分区与观察表关系信息表：TF_YWPN_DMAANDOBSER_W
 *
 * @author admin
 * @date Wed Mar 10 00:00:00 CST 2021
 */
public interface DmaandobserMapper extends BaseMapper<Dmaandobser> {

    void insertBatch(@Param("list") List<Dmaandobser> dmaandobserList);

    List<Map<String, Object>> getDiffByDeviceDay(@Param("startDate") String startDate, @Param("endDate") String endDate);

    List<DmaStatistical> getDmaStatistical(String startDate, String endDate, List<Long> dmaIdList);

}
