/*
 * Author: wangjian
 * 生成mapper
 */
package com.tofly.xrtygis.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.tofly.xrtygis.entity.Dmamonthflow;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * 分区水量月统计信息表：TF_YWPN_DMAMOUTHFLOW_W
 *
 * @author admin
 * @date Wed Mar 10 00:00:00 CST 2021
 */
public interface DmamonthflowMapper extends BaseMapper<Dmamonthflow> {
    List<Map> getNorAndAbnor(@Param("ids") String dmaId, @Param("start") String startTime, @Param("end") String endTime);

    List<Long> getAllChildByDmaId(@Param("dmaId") String dmaId);

    List<Map> getwaterDiffDetail(@Param("ids") String dmaId, @Param("start") String startTime, @Param("end") String endTime);

    List<Map> getClloctByDma(@Param("ids") String dmaId, @Param("start") String startTime, @Param("end") String endTime);
}
