/*
 * Author: wangjian
 * 生成mapper
 */
package com.tofly.xrtygis.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.xrtygis.entity.Userandplot;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * 小区-用户关联表
 *
 * @author chenhao
 * @date Thu Mar 31 00:00:00 CST 2022
 */
public interface UserandplotMapper extends BaseMapper<Userandplot> {

    Map<String, String> getUserInfo(@Param("userCode") String userCode);

    Page<Map> queryUserInfo(Page page,@Param("dto") String dto);

    List<Map> plotCount(@Param("plotIds") List<String> plotIds);
}
