/*
 * Author: wangjian
 * 生成Service
 */
package com.tofly.xrtygis.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.xrtygis.custom.entity.dma.ConstomTableList;
import com.tofly.xrtygis.entity.Dmanightflow;

import javax.servlet.http.HttpServletResponse;
import java.util.Date;
import java.util.Map;

/**
 * 夜间最小流量分析表
 *
 * @author wangjieliu
 * @date Tue May 25 00:00:00 CST 2021
 */
public interface DmanightflowService extends IService<Dmanightflow> {

    IPage<Map> getMinFlow(HttpServletResponse response, String tableIds, String startTime, String endTime, String flag, String templateFlag, Page page);

    ConstomTableList getTableTree(String isFlow);

    /**
     * 获取夜间最小流量数据
     * @param tableIds id
     * @param startTime 开始时间
     * @param endTime 结束时间
     * @return map
     */
    Map<String,Object> getNightFlowAndPress(String tableIds,String startTime,String endTime);

    /**
     * 2:00-4:00 夜间最小流量分析
     * @return
     */
    Boolean nightMinimumFlowAnalysis(Date date);
}
