/*
 * Author: wangjian
 * 生成Service
 */
package com.tofly.xrtygis.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.xrtygis.entity.Valveandplot;

import java.util.List;
import java.util.Map;

/**
 * 阀门-小区关联表
 *
 * @author admin
 * @date Thu Mar 17 00:00:00 CST 2022
 */
public interface ValveandplotService extends IService<Valveandplot> {

    /**
     * 绑定阀门与小区
     * @param valveCode 阀门编号
     * @param plotName 小区名称
     * @return boolean
     */
    boolean bindValveAndPlot(String valveCode,String plotName);

    /**
     *
     * @param valveId 阀门编号
     * @param plotId 小区编号
     * @return boolean
     */
    boolean removeValveAndPlot(String valveId,String plotId);

    List<Map> valveIdGetPlot(String id);

}
