/*
 * Author: Zev
 * 生成entity
 */
package com.tofly.pojo.maintain.vo.datail;

import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.tofly.pojo.maintain.PipeMfRecord;
import com.tofly.pojo.maintain.vo.*;
import com.tofly.pojo.plan.vo.CheckhistoryVo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;


/**
 * 抢维修详情信息
 *
 * @author admin
 * @date Thu Mar 18 00:00:00 CST 2021
 */
@Data
@ApiModel
public class RepairOrderDetailVo extends Model<RepairOrderDetailVo> {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "个人工单信息")
    private List<RepairuserVo> repairUserVoList;

    @ApiModelProperty(value = "工单/派工信息")
    private RepairorderVo repairorderVo;

    @ApiModelProperty(value = "工单处理/审核列表信息")
    private List<RepairrecordVo> repairRecordVoList;

    @ApiModelProperty(value = "驳回列表信息")
    private List<RepairrebutVo> repairRebutVoList;

    @ApiModelProperty(value = "转发列表信息")
    private List<RepairrelayVo> repairRelayVoList;

    @ApiModelProperty(value = "养护列表信息")
    private List<PipeMfRecord> pipeMfRecordList;

    @ApiModelProperty(value = "历史驳回信息")
    private List<CheckhistoryVo> checkHistoryVoList;

}
