/*
 * Author: Zev
 * 生成entity
 */
package com.tofly.pojo.maintain.vo.datail;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.tofly.pojo.comm.vo.ImageVo;
import com.tofly.pojo.maintain.vo.ExcelImageVo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.ArrayList;
import java.util.List;


/**
 * 热线基本信息
 *
 * @author admin
 * @date Thu Mar 18 00:00:00 CST 2021
 */
@Data
@ApiModel
public class RepairOrderHotlineInfoVo extends Model<RepairOrderHotlineInfoVo> {
    private static final long serialVersionUID = 1L;
    @ApiModelProperty("工单编号")
    private String gdbh;
    @ApiModelProperty("客户编号")
    private String khbh;
    @ApiModelProperty("客户姓名")
    private String khxm;
    @ApiModelProperty("联系电话")
    private String lxdh;
    @ApiModelProperty("实际电话")
    private String sjdh;
    @ApiModelProperty("用水性质")
    private String ysxzMc;
    @ApiModelProperty("水表表号")
    private String sbbh;
    @ApiModelProperty("口径")
    private String sbkj;
    @ApiModelProperty("地址")
    private String khdz;
    @ApiModelProperty("工单类型")
    private String typeName;
    @ApiModelProperty("工单细分")
    private String typeXFName;
    private String jjcd;
    @ApiModelProperty("优先级别（0一般、1重要、2非常急）")
    private String jjcdName;
    @ApiModelProperty("工单描述")
    private String gdms;
    @ApiModelProperty("登记部门")
    private String djbmName;
    private String djry;
    @ApiModelProperty("登记职员")
    private String djryName;
    @ApiModelProperty("登记时间")
    private String djsj;
    private String lcjd;
    @ApiModelProperty("工单登记 流程节点（1.工单登记，2.认证处置3.认证审核4.认证质检  5.结果处置6.结果审核7.工单归档）")
    private String lcjdName;
    private String gddjFileId;
    @ApiModelProperty("文件")
    private List<String> gddjFileIdList;


}
