/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.pojo.maintain.vo.datail;

import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;
import java.util.List;


/**
 * 已完成工单(维护/保养) 处理位置
 *
 * @author admin
 * @date Tue Apr 06 00:00:00 CST 2021
 */
@Data
@ApiModel
public class RepairOrderOverVo extends Model<RepairOrderOverVo> {
    private static final long serialVersionUID = 1L;
    @ApiModelProperty(value = "工单id")
    private Long orderId;
    @ApiModelProperty(value = "经度")
    private Double x;
    @ApiModelProperty(value = "维度")
    private Double y;
}
