/*
 * Author: Zev
 * 生成entity
 */
package com.tofly.pojo.plan.dto;

import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.tofly.pojo.plan.Pointtemp;
import com.tofly.pojo.plan.TfYwpnInspectdevicetempW;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;


/**
 * 批量更新点到位信息
 *
 * @author admin
 * @date Thu Mar 18 00:00:00 CST 2021
 */
@Data
@ApiModel
public class PointTempUpdateDto extends Model<PointTempUpdateDto> {
    private static final long serialVersionUID = 1L;
    @ApiModelProperty("批量更新的点到位数据")
    List<Pointtemp> pointTempList;

    @ApiModelProperty("上传用户id")
    private Long userId;

    @ApiModelProperty("设备巡查信息记录表")
    private TfYwpnInspectdevicetempW inspectdevicetemp;

    @ApiModelProperty("巡检设备信息附件列表")
    private List<MultipartFile> fileList;
}
