package com.tofly.pojo.plan.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;
import java.util.Map;

/**
 * 签到监控信息返回对象
 * @author BZ-DJJ
 */
@Data
public class PdaSignMonitorVo implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 当前部门下所有用户实时签到信息
     */
    @ApiModelProperty(value = "用户实时签到信息/任务信息")
    private List<PdasignhisVo> pdasignVoList;

    /**
     * 当前部门下用户设备统计类型map
     */
    @ApiModelProperty(value = "k为类型,v为数量")
    private Map<String,Long> longMap;
}
