package com.tofly.pojo.statement.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.List;

/**
 * 巡查统计
 * @author BZ-DJJ
 */
@Data
public class InspectionStatisticsVo implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "员工姓名")
    private String userName;
    @ApiModelProperty(value = "部门名称")
    private String deptName;
    @ApiModelProperty(value = "巡检组名称")
    private String groupName;
    @ApiModelProperty(value = "巡检里程")
    private Double planTotalDistance;
    @ApiModelProperty(value = "有效里程")
    private Double vaildSpeed;
    @ApiModelProperty(value = "发现隐患数量")
    private Long findTroubleNum;
    @ApiModelProperty(value = "工地发现个数")
    private Long buildingsitefinded;
    @ApiModelProperty(value = "巡检任务(个)")
    private Long planNum;
    @ApiModelProperty(value = "任务执行情况")
    private List<WorkCompletionVo> workCompletionVoList;
}
