package com.tofly.pojo.statement.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * 工作完成计划分类情况
 *
 * @author BZ-DJJ
 */
@Data
public class WorkCompletionPlanTypeVo implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty("巡检类型名称")
    private String typeName;

    @ApiModelProperty("完成率")
    private BigDecimal percent;

    @ApiModelProperty("完成数量")
    private BigDecimal overCount;

    @ApiModelProperty("总数量")
    private BigDecimal totalCount;
}
