package com.tofly.pojo.statement.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * 工作完成情况
 *
 * @author BZ-DJJ
 */
@Data
public class WorkCompletionVo implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "巡检类型")
    private String typeName;

    @ApiModelProperty("计划详情")
    private String node;

    @ApiModelProperty("个人完成点比例")
    private BigDecimal pointRate;

    @ApiModelProperty("个人完成线比例")
    private BigDecimal lenRate;
}
