/*
 * Author: Zev
 * 生成mapper
 */
package com.tofly.gpsboot.mapper.build;



import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.pojo.build.Build;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 工地监护上报信息表
 *
 * @author admin
 * @date Thu Mar 18 00:00:00 CST 2021
 */
public interface BuildMapper extends BaseMapper<Build> {
    /**
     * 获取工地列表
     * @param userIdList
     * @param flag
     * @param state
     * @param auditResults
     * @param address
     * @return
     */
    Page getBuildListPge(Page page, @Param("userIdList") List<Long> userIdList, @Param("flag") String flag, @Param("respUser")Long respUser,@Param("state") String state, @Param("auditResults") String auditResults, @Param("address")String address, @Param("auditUser")Long auditUser, @Param("typeId")Long typeId);
}
