/*
 * Author: Zev
 * 生成Service
 */
package com.tofly.gpsboot.service.config;

import com.tofly.pojo.plan.vo.InspectgroupVo;
import com.tofly.pojo.plan.Inspectgroup;
import com.tofly.gpsboot.service.IBaseService;

import java.util.List;


/**
 * 巡查分组信息表：TF_YWPN_INSPECTGROUP_W
 *
 * @author admin
 * @date Thu Mar 18 00:00:00 CST 2021
 */
public interface InspectgroupService extends IBaseService<Inspectgroup, InspectgroupVo> {

    /**
     * 根据当前用户查询对应巡检分组信息,若当前用户没绑定巡检分组,则返回所有分组信息
     * @return
     */
    List<Inspectgroup> getInspectGroupInfo();
}
