/*
 * Author: wangjian
 * 生成Service
 */
package com.tofly.gpsboot.service.daily;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.common.core.entity.ResultRespone;
import com.tofly.gpsboot.service.IBaseService;
import com.tofly.pojo.plan.Planregion;
import com.tofly.pojo.plan.dto.PlanregionDto;
import com.tofly.pojo.plan.vo.PlanregionVo;

/**
 * 巡检片区信息表：TF_YWPN_PLANREGION_W
 *
 * @author sunjian
 * @date Tue Mar 07 00:00:00 CST 2023
 */
public interface PlanregionService extends IBaseService<Planregion, PlanregionVo> {

    /**
     * 自定义分页查询
     * @param page
     * @param planregionDto
     * @return
     */
    Page<PlanregionVo> getPlanPointPage(Page page, PlanregionDto planregionDto);

    /**
     * 批量删除id（逻辑删除)
     * @param ids
     * @return
     */
    ResultRespone<Object> removeByIds(String ids);
}
