/*
 * Author: Zev
 * 生成Service
 */
package com.tofly.gpsboot.service.paln;

import com.tofly.pojo.plan.vo.GroupUserAllVo;
import com.tofly.pojo.plan.vo.GroupuserVo;
import com.tofly.pojo.plan.Groupuser;
import com.tofly.gpsboot.service.IBaseService;

import java.util.List;
import java.util.Map;


/**
 * 巡查分组配置信息表：TF_YWPN_GROUPUSER_W
 *
 * @author admin
 * @date Thu Mar 18 00:00:00 CST 2021
 */
public interface GroupuserService extends IBaseService<Groupuser, GroupuserVo> {

    /**
     * 根据分组获取该分组下的用户信息
     * @param id
     * @return
     */
    Map<Long,String> getGroupUserIdNameMap(Long id);

    /**
     * 新增巡查分组配置信息
     * @param groupUserList
     * @return
     */
    GroupUserAllVo saveUpdateGroupUserInfo(List<Groupuser> groupUserList);

    /**
     * 获取当前用户下,部门和巡检组信息
     * @return
     */
    GroupUserAllVo getGroupUserMap(Long departmentId, String enableFlag);
}
