/*
 * Author: wangjian
 * 生成Service
 */
package com.tofly.gpsboot.service.paln;

import com.tofly.gpsboot.exception.BusinessException;
import com.tofly.gpsboot.service.IBaseService;
import com.tofly.pojo.plan.TfYwpnInspectdevicetempW;
import com.tofly.pojo.plan.vo.TfYwpnInspectdevicetempWVo;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

/**
 * 设备巡查信息记录表
 *
 * @author JF
 * @date Tue Sep 10 00:00:00 CST 2024
 */
public interface TfYwpnInspectdevicetempWService extends IBaseService<TfYwpnInspectdevicetempW, TfYwpnInspectdevicetempWVo> {
    /**
     * 新增基本和详情信息
     * @param fileList
     * @param entity
     * @throws BusinessException 抛出新增的详情为空
     */
    void savaInfo(List<MultipartFile> fileList, TfYwpnInspectdevicetempW entity) throws BusinessException;

    /**
     * 修改基本和详情信息
     * @param fileList
     * @param entity
     * @throws BusinessException 抛出更新当前数据不存在
     */
    void updateInfo(List<MultipartFile> fileList,TfYwpnInspectdevicetempW entity) throws BusinessException;
}
