/*
 * Author: Zev
 * 生成Service
 */
package com.tofly.gpsboot.service.sign;

import com.tofly.pojo.plan.dto.PdasignDto;
import com.tofly.pojo.plan.vo.PdaSignMonitorVo;
import com.tofly.pojo.plan.vo.PdasignVo;
import com.tofly.pojo.plan.Pdasign;
import com.tofly.gpsboot.service.IBaseService;

/**
 * 上下班签到瞬时信息表：TF_YWPN_PDASIGN_W
 *
 * @author admin
 * @date Thu Mar 18 00:00:00 CST 2021
 */
public interface PdasignService extends IBaseService<Pdasign, PdasignVo> {

    /**
     * 根据用户id 查询当前用户签到状态
     * @param id
     * @return
     */
    String getUserSignState(Long id);

    /**
     * 用户签到
     * @param dto
     */
    Boolean userSign(PdasignDto dto);

    /**
     * 获取当前所有用户的签到信息/统计信息
     * @return
     */
    PdaSignMonitorVo getUserSignList(String groupId,String time,Long deptId);
}
