/*
 * Author: Zev
 * 生成Service
 */
package com.tofly.gpsboot.service.sign;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.gpsboot.service.IBaseService;
import com.tofly.pojo.plan.Pdasignhis;
import com.tofly.pojo.plan.dto.PdasignhisDto;
import com.tofly.pojo.plan.vo.AttendanceReportVo;
import com.tofly.pojo.plan.vo.PdasignhisVo;

import java.util.List;


/**
 * 上下班签到历史信息表：TF_YWPN_PDASIGNHIS_W
 *
 * @author admin
 * @date Thu Mar 18 00:00:00 CST 2021
 */
public interface PdasignhisService extends IBaseService<Pdasignhis, PdasignhisVo> {

    /**
     * 分页查询
     * @param page
     * @param parDto
     * @return
     */
    Page<PdasignhisVo> getPdaSignHisPage(Page page, PdasignhisDto parDto);

    List<AttendanceReportVo> attendanceReport(String startTime, String endTime, String deptIds);
}
