/*
 * Author: Zev
 * 生成Service
 */
package com.tofly.gpsboot.service.trouble;

import com.tofly.pojo.trouble.vo.ToubleplanVo;
import com.tofly.pojo.plan.Plan;
import com.tofly.pojo.trouble.Toubleplan;
import com.tofly.gpsboot.service.IBaseService;

import java.util.List;

/**
 * 隐患巡查计划关联信息表
 *
 * @author admin
 * @date Thu Mar 18 00:00:00 CST 2021
 */
public interface ToubleplanService extends IBaseService<Toubleplan,ToubleplanVo> {

    /**
     * 新增隐患计划关联信息
     * @param planList
     * @param toubleId
     */
    void saveToublePlanRelation(List<Plan> planList, Long toubleId);
}
