package com.tofly.custom.entity.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 *
 * @author JF
 * @date 2023/1/16
 * @description 查询类型和厂站列表查询对象
 */
@Data
public class IndexNameTypeDto implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty("查询类型（1污水厂;2泵站） 默认查污水厂")
    private String queryStationType;

    @ApiModelProperty("厂站ID")
    private List<Long> stationIds;
}
