package com.tofly.custom.entity.vo;

import com.tofly.scada.entity.DeviceArchiveManage;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 *
 * @author JF
 * @date 2024/1/2
 * @description 通过设备类型分组获取设备列表
 */
@Data
public class DeviceByTypeVo implements Serializable {

    @ApiModelProperty(value = "设备类型")
    private String deviceType;
    @ApiModelProperty(value = "设备类型")
    private String deviceTypeName;

    @ApiModelProperty(value = "设备列表")
    private List<DeviceArchiveManage> deviceList;

}
