package com.tofly.custom.entity.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 *
 * @author JF
 * @date 2023/12/26
 * @description 指标相关值统计
 */
@Data
public class IndexValCensusVo implements Serializable {

    @ApiModelProperty(value = "水厂总数")
    private Integer waterStationTotal;

    @ApiModelProperty(value = "加压站总数")
    private Integer pressurizeStationTotal;

    @ApiModelProperty(value = "总户数")
    private Integer tableUserTotal;

    @ApiModelProperty(value = "管网总长度")
    private BigDecimal pipeTotalLength;

    @ApiModelProperty(value = "设计供水能力（万吨）")
    private BigDecimal designProcessingCapacity;

    @ApiModelProperty(value = "水源")
    private String waterSource;

}
