package com.tofly.custom.entity.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * 首页-管网 管线材质统计情况
 * @author BZ-DJJ
 */
@Data
public class PipeMaterialCensusVo implements Serializable {

    @ApiModelProperty("材质")
    private String material;

    @ApiModelProperty("长度")
    private BigDecimal num;

    @ApiModelProperty("管径")
    private String diameter;

}
