package com.tofly.custom.entity.vo;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigDecimal;
import java.util.Date;

@Data
public class ScadaFlowVo {
    @ApiModelProperty(value = "指标编码")
    private String code;

    @ApiModelProperty(value = "指标名称")
    private String variableName;

    @ApiModelProperty(value = "指标值")
    private String value;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "指标采集时间")
    private Date scadaTime;

    @ApiModelProperty(value = "水厂Id")
    private String waterId;
    @ApiModelProperty(value = "水厂名称")
    private String waterName;

    @ApiModelProperty(value = "指标排序")
    private Long sortNumber;

    @ApiModelProperty(value = "指标单位")
    private String unit;
    @ApiModelProperty(value = "指标类型")
    private String indexType;

    @ApiModelProperty(value = "指标类型名称")
    private String indexTypeName;





}
