package com.tofly.custom.entity.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 *
 * @author JF
 * @date 2023/2/1
 * @description 厂站指标实时值相关
 */
@Data
public class StationIndexRealValVo implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "污水厂ID")
    private Long sewageStationId;

    @ApiModelProperty(value = "污水厂ID")
    private Long pumpStationId;

    @ApiModelProperty(value = "设备Id")
    private String deviceId;

    @ApiModelProperty(value = "设备名称")
    private String deviceName;

    @ApiModelProperty(value = "指标ID")
    private Long indexId;

    @ApiModelProperty(value = "指标编码")
    private String indexCode;

    @ApiModelProperty(value = "指标单位")
    private String indexUnit;

    @ApiModelProperty(value = "指标标签")
    private String indexLabel;

    @ApiModelProperty(value = "当前指标值")
    private String currentIndexVal;

    @ApiModelProperty(value = "监测值数字型")
    private Float monitorNumVal;

    @ApiModelProperty(value = "监测值字符型")
    private String monitorStrVal;

    @ApiModelProperty(value = "指标采集时间")
    private String scadaTime;

    @ApiModelProperty(value = "指标类型ID")
    private Long indexType;

    @ApiModelProperty(value = "指标类型名称")
    private String indexTypeName;

    @ApiModelProperty(value = "报警上限")
    private Double upper;

    @ApiModelProperty(value = "报警下限")
    private Double lower;

    @ApiModelProperty(value = "报警等级")
    private Long level;
}
