package com.tofly.custom.entity.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;
import java.util.Map;

/**
 *
 * @author JF
 * @date 2023/2/1
 * @description 厂站指标相关
 */
@Data
public class StationIndexRealVo implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "厂站名称")
    private String name;

    @ApiModelProperty(value = "厂站编码")
    private String no;

    @ApiModelProperty(value = "厂站类型名称")
    private String typeName;

    @ApiModelProperty(value = "厂站ID")
    private Long id;

    @ApiModelProperty(value = "区域名称")
    private String regionName;

    @ApiModelProperty(value = "类别")
    private Integer category;

    @ApiModelProperty(value = "实时指标列表")
    private List<StationIndexRealValVo> indexRealValList;

    @ApiModelProperty(value = "指标报警数量统计列表")
    private Map<String, Long> reportLevelNumMap;
}
