package com.tofly.scada.entity.vo;


import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;


/**
 * 指标配置
 * @TableName TF_INDEX_ALLOCATION
 */

@Data
@EqualsAndHashCode
public class NetCumulativeFlow implements Serializable {

    @ApiModelProperty(value = "设备id")
    private Long deviceId;

    @ApiModelProperty(value = "指标编码")
    private String code;

    @ApiModelProperty(value = "指标类型")
    private String indexType;

    @ApiModelProperty(value = "监测值")
    private String value;

    @ApiModelProperty(value = "scada采集时间")
    private String scadaTime;

}