package com.tofly.spire.entity;

import com.baomidou.mybatisplus.annotation.*;
import java.io.Serializable;
import java.util.Date;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;

/**
 * 
 * @TableName SCADA_MONITORING_REALTIME
 */
@TableName(value ="SCADA_MONITORING_REALTIME")
@Data
@KeySequence(value = "SCADA_MONITORING_REALTIME")
public class ScadaMonitoringRealtime extends Model<ScadaMonitoringRealtime> {
    /**
     * 
     */
    @TableId(type = IdType.INPUT)
    private Long id;

    /**
     * 
     */
    private String code;

    /**
     * 
     */
    private String value;

    /**
     * 
     */
    private Date scadaTime;

    /**
     * 
     */
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private Date updateTime;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}