package com.tofly.spire.service.impl;


import cn.hutool.core.date.DateUtil;
import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.haiqiu.tools.excel.utils.ExcelUtils;
import com.tofly.common.core.util.StringUtil;
import com.tofly.scada.entity.Scada;
import com.tofly.scada.service.ScadaMonitorService;
import com.tofly.scada.service.ScadaService;
import com.tofly.scada.service.SpireBigBaseService;
import com.tofly.spire.common.Constants;
import com.tofly.spire.entity.*;
import com.tofly.spire.entity.dto.SpireBigGridDto;
import com.tofly.spire.mapper.SpireBigBaseMapper;
import com.tofly.spire.mapper.SpireBigGridMapper;
import com.tofly.spire.service.*;
import com.tofly.spire.utils.ResultScada;
import com.tofly.spire.utils.SpireUtils;
import com.xxl.job.core.biz.model.ReturnT;
import com.xxl.job.core.handler.annotation.XxlJob;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.BeanUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.redis.core.RedisTemplate;
import org.springframework.scheduling.annotation.Async;
import org.springframework.stereotype.Service;
import org.springframework.util.CollectionUtils;
import org.springframework.util.StringUtils;
import org.springframework.web.multipart.MultipartFile;

import java.io.Serializable;
import java.math.BigDecimal;
import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.Calendar;
import java.util.Collections;
import java.util.Date;
import java.util.List;
import java.util.stream.Collectors;

/**
 * 大表（管网）(SpireBigGrid)表服务实现类
 *
 * @author HaiQiu
 * @since 2022-11-11 09:16:07
 */
@Slf4j
@Service("spireBigBaseService")
public class SpireBigBaseServiceImpl extends ServiceImpl<SpireBigBaseMapper, SpireBigBase> implements SpireBigBaseService {
}

