package com.tofly.water.entity.dto;

import com.tofly.water.entity.BasePumpGroup;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @author HaiQiu
 * @since 2023/1/9
 */
@Data
public class RunLogDto extends BasePumpGroup {


    @ApiModelProperty(value = "关键字")
    private String searchStr;

    @ApiModelProperty(value = "采集时间")
    private List<String> dates;

    @ApiModelProperty(value = "是否导出，true导出,false不导出")
    private Boolean isExport = false;
}
