package com.tofly.water.entity.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

@Data
public class WaterSupplyVo {
    @ApiModelProperty("水厂Id")
    public  Long waterId;
    @ApiModelProperty("水厂名称")
    public  String waterName;

    @ApiModelProperty("水厂今日供水量(m³)")
    public BigDecimal waterSupplyDay;

    @ApiModelProperty("最新采集时间范围")
    public  String lastTimeRange;

    @ApiModelProperty("设计供水能力(m³)")
    public  BigDecimal designProcessingCapacity;


    @ApiModelProperty("水厂今年供水量(m³)")
    public  BigDecimal waterSupplyYear;

    @ApiModelProperty("水厂去年同期供水量(m³)")
    public  BigDecimal waterSupplyLastYear;

    @ApiModelProperty("报警状态（0未报警,1已报警")
    public  int alarmStatus=0;

    @ApiModelProperty("水厂类型1水厂，2污水厂")
    public  String waterType;

}
