package com.tofly.callcenter.custom.feign;

import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestParam;

/**
 * @author FlashWJL
 * @date 2021/7/12 13:45
 */
@FeignClient(value = "tofly-xrtygis" , contextId = "WaringFeign")
public interface WaringFeign {
    /**
     * 系统添加应急记录
     * @return
     */
    @PostMapping("/emergency/emerBySys")
    void saveEmerSys(@RequestParam("flowNum") Long flowNum);

    /**
     * 系统添加应急记录
     * @return
     */
    @PostMapping("/emergency/emerBySys2")
    void saveEmerSys2(@RequestParam("blockCallNum") Long blockCallNum);
}
