/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.callcenter.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
 * 标识未接来电记录用作统计
 *
 * @author admin
 * @date Thu Sep 29 00:00:00 CST 2022
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_YWPN_CALLLOSSCOUNT_W", resultMap = "calllosscountMap")
@KeySequence("TF_YWPN_CALLLOSSCOUNT_W")
@ApiModel
public class Calllosscount extends Model<Calllosscount> {
    private static final long serialVersionUID = 1L;

    /**
     * 电话号码
     */
    @TableId(value = "tel", type = IdType.INPUT)
    @ApiModelProperty(value = "电话号码")
    private String tel;
    /**
     * 标识：0 未读  1 已读
     */
    @ApiModelProperty(value = "标识：0 未读  1 已读")
    private String flag;

    @ApiModelProperty(value = "坐席号")
    private String empcode;
    /**
     * 通话记录唯一id
     */
    @ApiModelProperty(value = "通话记录唯一id")
    private String id;

}
