/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.callcenter.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;



/**
 * 部门
 *
 * @author wangjieliu
 * @date Thu Jun 17 00:00:00 CST 2021
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "PLT_DEPARTMENT", resultMap = "pltDepartmentMap")
@KeySequence("PLT_DEPARTMENT")
@ApiModel
public class PltDepartment extends Model<PltDepartment> {
    private static final long serialVersionUID = 1L;

    /**
     *
     */
    @TableId(value = "id", type = IdType.INPUT)
    @ApiModelProperty(value = "")
    private Long id;
    /**
     * 父部门编号
     */
    @ApiModelProperty(value = "父部门编号")
    private String parentid;
    /**
     * 公司ID
     */
    @ApiModelProperty(value = "公司ID")
    private Long cid;
    /**
     * 层次码
     */
    @ApiModelProperty(value = "层次码")
    private String path;
    /**
     * 部门名称
     */
    @ApiModelProperty(value = "部门名称")
    private String name;
    /**
     * 描述
     */
    @ApiModelProperty(value = "描述")
    private String comments;
    /**
     * 删除状态{1:正常,3:删除}
     */
    @ApiModelProperty(value = "删除状态{1:正常,3:删除}")
    private Short isdel;

}
