package com.tofly.watermeter.config;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

/**
 * @author wangjieliu
 * @date 2020/10/23 15:59
 */
@Data
@Component
@ConfigurationProperties(prefix = "xrty.ftp")
public class FilePathBean {
    /**
     * Excel表上传地址
     */
    private String excelFile;
    /**
     * 争议检定图片地址
     */
    private String zyCheck;
    /**
     * 抄表录入的文件
     */
    private String readMeter;
    /**
     * 故障表上传照片地址
     */
    private String faultPath;


}
