package com.tofly.watermeter.custom.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.Valid;
import javax.validation.constraints.NotEmpty;
import java.io.Serializable;
import java.util.List;

@Data
@EqualsAndHashCode
public class AmountOrWaterVolumeDto implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 详情列表
     */
    @Valid
    @NotEmpty
    @ApiModelProperty(value = "详情列表")
    private List<AmountOrWaterVolumeInfoDto> datas;


}
