package com.tofly.watermeter.custom.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.NotBlank;
import java.io.Serializable;
@Data
@EqualsAndHashCode
public class AmountOrWaterVolumeInfoDto implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 客户编号, type = IdType.INPUT
     */
    @NotBlank
    @ApiModelProperty(value = "客户编号")
    private String yhbh;

    @ApiModelProperty(value = "上次读数")
    private Long scds;

    /**
     * 是否欠费
     */
    @ApiModelProperty(value = "是否欠费")
    private String sfqf;

    /**
     * 欠费周期
     */
    @ApiModelProperty(value = "欠费周期")
    private String qfzq;

    /**
     * 欠费金额
     */
    @ApiModelProperty(value = "欠费金额")
    private Double qfje;

    /**
     * 账户余额
     */
    @ApiModelProperty(value = "账户余额")
    private Double zhye;

}
