package com.tofly.watermeter.custom.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import java.io.Serializable;
@Data
@EqualsAndHashCode
@ToString
public class WaterPropertiesDto implements Serializable {
    private static final long serialVersionUID = 1L;
    /**
     * 用水性质(存编码)
     */
    @ApiModelProperty(value = "用水性质(存编码)")
    private String ysxz;
    /**
     * 性质细分(存编码)
     */
    @ApiModelProperty(value = "性质细分(存编码)")
    private String xzxf;

    /**
     * 是否主要用水 0否;1是,每个用户只有一个主要用水
     */
    @ApiModelProperty(value = "是否主要用水 0否;1是,每个用户只有一个主要用水")
    private Long zyys;
}
