package com.tofly.watermeter.custom.entity.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author Bubble
 */
@Data
public class FileRequest {
  @ApiModelProperty(value = "文件id")
  private String id;

  @ApiModelProperty(value = "文件名称")
  private String name;

  @ApiModelProperty(value = "文件类型")
  private Long type;

  @ApiModelProperty(value = "")
  private Long appId;

  @ApiModelProperty(value = "")
  private Long tempFile;

  @ApiModelProperty(value = "文件大小")
  private Long fileSize;

  @ApiModelProperty(value = "创建人")
  private String creatorId;

  @ApiModelProperty(value = "创建时间")
  private Long createTime;

  @ApiModelProperty(value = "标记")
  private String flag;

  @ApiModelProperty(value = "最大文件大小")
  private Long maxSize;

  @ApiModelProperty(value = "uid")
  private Long uid;

  @ApiModelProperty(value = "状态")
  private String status;

  @ApiModelProperty(value = "文件id")
  private String fileId;

  @ApiModelProperty(value = "文件名称")
  private String fileName;

  @ApiModelProperty(value = "文件类型")
  private Long typeCode;
}
