package com.tofly.watermeter.custom.entity.file;

import com.baomidou.mybatisplus.annotation.TableField;
import com.tofly.common.core.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author FlashWJL
 * @date 2021/10/15 9:58
 */
@Data
public class TurnoverFileInfo {
    @Excel(name = "水表编号")
    private String sbbh;
    @Excel(name = "用户编号")
    private String yhbh;
    @Excel(name = "移交说明")
    private String yjsm;

    @ApiModelProperty(value = "移交选项：1：正常移交；2：无表号移交；3：表号重复移交")
    private String yjxx;

    @ApiModelProperty(value = "水表厂家")
    private Long bwSbcj;

    @ApiModelProperty(value = "水表类型")
    private Long bwSblx;

    @ApiModelProperty(value = "水表口径")
    private Long bwSbkj;

    @ApiModelProperty(value = "是否需要检查 0：需要 ，1：已检查 ， 2：不需要")
    private String checkFlag;

    private Long id;

}
