package com.tofly.watermeter.custom.entity.marketing;

import com.alibaba.fastjson.annotation.JSONField;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 客户信息
 * @author 20126
 */
@EqualsAndHashCode(callSuper = true)
@Data
public class CustomerInfo extends CommonParam{
    /**
     * 用户编号
     */
    @JSONField(name = "YHBH")
    private String YHBH;
    /**
     * 用户项姓名
     */
    @JSONField(name = "YHXM")
    private String YHXM;
    /**
     * 用户地址
     */
    @JSONField(name = "YHDZ")
    private String YHDZ;
    /**
     * 联系电话
     */
    @JSONField(name = "LXDH")
    private String LXDH;
    /**
     * 抄表片区
     */
    @JSONField(name = "CBPQ")
    private String CBPQ;
    /**
     * 抄表本
     */
    @JSONField(name = "CBB")
    private String CBB;
    /**
     * 水表表号
     */
    @JSONField(name = "SBBH")
    private String SBBH;

    @JSONField(name = "LXRY")
    private String LXRY;
    @JSONField(name = "LXSJ")
    private String LXSJ;
    @JSONField(name = "YYQY")
    private String YYQY;

    @JSONField(name = "YHZT")
    private String YHZT;

    @JSONField(name = "JFZH")
    private String JFZH;

    @JSONField(name = "ZHZT")
    private String ZHZT;

    @JSONField(name = "ZHYE")
    private String ZHYE;

    @JSONField(name = "GSHT")
    private String GSHT;

    @JSONField(name = "YSXZ")
    private String YSXZ;

    @JSONField(name = "XZXF")
    private String XZXF;

    @JSONField(name = "SBYT")
    private String SBYT;

    @JSONField(name = "SFJT")
    private String SFJT;

    @JSONField(name = "SFJL")
    private String SFJL;

    @JSONField(name = "SFJF")
    private String SFJF;

    @JSONField(name = "ZBRY")
    private String ZBRY;

    @JSONField(name = "SBBW")
    private String SBBW;

    @JSONField(name = "SF_YSDH")
    private String SF_YSDH;

    @JSONField(name = "CBZQ")
    private String CBZQ;

    @JSONField(name = "YJFR")
    private String YJFR;

    @JSONField(name = "XZLX")
    private String XZLX;

    @JSONField(name = "SF_DWYH")
    private String SF_DWYH;

    @JSONField(name = "SF_KZZS")
    private String SF_KZZS;

    @JSONField(name = "SF_TSYH")
    private String SF_TSYH;

    @JSONField(name = "TSDW")
    private String TSDW;

    @JSONField(name = "SBCJ")
    private String SBCJ;

    @JSONField(name = "SBLX")
    private String SBLX;

    @JSONField(name = "SBDD")
    private String SBDD;

    @JSONField(name = "SBKJ")
    private String SBKJ;

    @JSONField(name = "AZFS")
    private String AZFS;

    @JSONField(name = "AZRQ")
    private String AZRQ;

    @JSONField(name = "ZH_HBRQ")
    private String ZH_HBRQ;

    @JSONField(name = "JDRQ")
    private String JDRQ;
    /**
     * 关联编号
     */
    private String GLBH;
    private Double X;
    private Double Y;

}
