package com.tofly.watermeter.custom.entity.meterBusiness.dto;

import com.alibaba.fastjson.annotation.JSONField;
import lombok.Data;
import lombok.experimental.Accessors;

import java.util.List;

@Data
@Accessors(chain = true)
public class InstallTableDto {
    /**
     * 用户编号
     */
    @JSONField(name = "YHBH")
    private String YHBH;

    @JSONField(name = "YHXM")
    private String YHXM;
    @JSONField(name = "LXDH")
    private String LXDH;
    @JSONField(name = "GDDH")
    private String GDDH;
    @JSONField(name = "YHDZ")
    private String YHDZ;
    /**
     * 水表编号
     */
    @JSONField(name = "SBBH")
    private String SBBH;
    /**
     * 水表厂家
     */
    @JSONField(name = "SBCJ")
    private String SBCJ;
    /**
     * 水表口径
     */
    @JSONField(name = "SBKJ")
    private String SBKJ;
    /**
     * 水表类型
     */
    @JSONField(name = "SBLX")
    private String SBLX;
    /**
     * 安装日期
     */
    @JSONField(name = "AZRQ")
    private String AZRQ;
    /**
     * 安装人员
     */
    @JSONField(name = "AZRY")
    private String AZRY;
    /**
     * 水表起度
     */
    @JSONField(name = "SBQD")
    private String SBQD;
    /**
     * 安装方式
     */
    @JSONField(name = "AZFS")
    private String AZFS;

    @JSONField(name = "SING")
    private String SING;

    @JSONField(name = "ACTION")
    private String ACTION;
    @JSONField(name = "SFNCYS")
    private String SFNCYS;
    @JSONField(name = "JYZ")
    private String JYZ;
    @JSONField(name = "BZBH")
    private String BZBH;
    @JSONField(name = "SBAZDZ")
    private String SBAZDZ;
    @JSONField(name = "SBYT")
    private String SBYT;
    @JSONField(name = "YSXZ")
    private String YSXZ;


    private String jyzBm;

    /**
     * 0 查看暂存数据  1 保存暂存数据/修改暂存数据  2 删除暂存数据
     */
    private String state;

    private Long isExport;
    /**
     * 水表用途name
     */
    private String sbytName;
    /**
     * 用水性质name
     */
    private String ysxzName;

    private String input;

    private List<Long> user;

}
