package com.tofly.watermeter.custom.entity.meterRead;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.tofly.watermeter.entity.Yhbingqy;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;
import java.util.List;

/**
 * @author FlashWJL
 * @date 2021/6/7 10:32
 */
@Data
public class Allocation {
    @ApiModelProperty(value = "用户编号")
    private String yhbh;
    /**
     * 区域编码
     */
    @ApiModelProperty(value = "区域编码")
    private String qybm;
    @ApiModelProperty(value = "用户地址")
    private String yhdz;

    @ApiModelProperty(value = "用户姓名")
    private String yhxm;

    /**
     * 区域段编码
     */
    @ApiModelProperty(value = "区域段编码")
    private String qydbm;
    @ApiModelProperty(value = "抄表本编码")
    private String cbb;
    @ApiModelProperty(value = "片区编码")
    private String pqbm;

    @ApiModelProperty(value = "用户前段号")
    private String yhqd;

    @ApiModelProperty(value = "方式；1：全部")
    private String fpType;

    @ApiModelProperty(value = "0:分配；1:移除")
    private String twoType;

    @ApiModelProperty(value = "水表厂家，传code，多个逗号隔开")
    private String sbcj;

    @ApiModelProperty(value = "输入框内容")
    private String inputcontent;

    @ApiModelProperty("开始时间(时间格式)")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date startDate;
    @ApiModelProperty("结束时间(时间格式)")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date endDate;

    private List<Yhbingqy> yhbingqyList;

}
