package com.tofly.watermeter.custom.entity.quality;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author FlashWJL
 * @date 2021/12/9 9:58
 */
@Data
public class QualityResult {
    @ApiModelProperty(value = "区域名称")
    private String qymc;
    @ApiModelProperty(value = "区域编码")
    private String qybm;
    @ApiModelProperty(value = "区域段编码")
    private String qydbm;
    @ApiModelProperty(value = "区域段名称")
    private String qydmc;
    @ApiModelProperty(value = "应核客户数")
    private Integer allCount;
    @ApiModelProperty(value = "异常客户数")
    private Integer abnormalCount;
    @ApiModelProperty(value = "待核客户数")
    private Integer waitCount;
    @ApiModelProperty(value = "已核客户数")
    private Integer disposeCount;
    @ApiModelProperty(value = "转质检客户数")
    private Integer deployCount;
    @ApiModelProperty(value = "异常模型ID")
    private Long abnomalId;
    @ApiModelProperty(value = "异常模型名称")
    private String abnomalName;
}
