package com.tofly.watermeter.custom.entity.webserverbean;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.Getter;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;
import org.springframework.stereotype.Component;

/**
 * 远程调用IP地址
 *
 * @author FlashWJL
 * @date 2021/7/5 14:34
 */
@Getter
@AllArgsConstructor
public enum IpAddress {


    ReadAndAreas("11抄表片区", "api/Business/MeterReadingAreas"),
    ;


    //地址名称描述
    private String addressName;
    //配置调用远程IP
    private String ipAddress;

}


