package com.tofly.watermeter.custom.service.meterBusiness;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.watermeter.custom.entity.meterBusiness.dto.FirstInspectionCountDto;
import com.tofly.watermeter.entity.Bwsjdatail;

import javax.servlet.http.HttpServletResponse;
import java.util.List;
import java.util.Map;

public interface FirstInspectionService {
    /**
     * 获得批次信息
     * @param isCheck 是否处理
     * @param cal 口径
     * @return page
     */
    Page getInfo(Page page,String isCheck, Long cal);

    List<Map> count(HttpServletResponse response, FirstInspectionCountDto dto);

    /**
     * 首检
     * @param bwsjdatail bwsjdatail
     * @return boolean
     */
    boolean firstCheck(Bwsjdatail bwsjdatail);

    /**
     * 第二层，查看批次信息
     * @param dto 条件
     * @return page
     */
    Page<Map> countByCal(HttpServletResponse response,Page page,FirstInspectionCountDto dto);

}
