/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.watermeter.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;


/**
 * 归集管理表
 *
 * @author wangjieliu
 * @date Wed Mar 09 00:00:00 CST 2022
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_YWPN_GJGL_W", resultMap = "gjglMap")
@KeySequence("TF_YWPN_GJGL_W")
@ApiModel
public class Gjgl extends Model<Gjgl> {
    private static final long serialVersionUID = 1L;

    /**
     * 归集类型
     */
    @ApiModelProperty(value = "归集类型")
    private String collectionType;
    /**
     * 归集状态
     */
    @ApiModelProperty(value = "归集状态")
    private String collectionStatus;
    /**
     * 逻辑删除标识
     */
    @ApiModelProperty(value = "逻辑删除标识")
    private String isDeleted;
    /**
     * 归集管理表主键id
     */
    @TableId(value = "ID", type = IdType.INPUT)
    @ApiModelProperty(value = "归集管理表主键id")
    private BigDecimal id;
    /**
     * 归集编号
     */
    @ApiModelProperty(value = "归集编号")
    private String collectionNumber;
    /**
     * 归集名称
     */
    @ApiModelProperty(value = "归集名称")
    private String collectionName;

}
