/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.watermeter.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;


/**
 * 归集管理详情表
 *
 * @author wangjieliu
 * @date Mon Mar 14 00:00:00 CST 2022
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_YWPN_GJGLXQ_W", resultMap = "gjglxqMap")
@KeySequence("TF_YWPN_GJGLXQ_W")
@ApiModel
public class Gjglxq extends Model<Gjglxq> {
    private static final long serialVersionUID = 1L;

    /**
     * 归集管理详情表主键id
     */
    @TableId(value = "ID", type = IdType.INPUT)
    @ApiModelProperty(value = "归集管理详情表主键id")
    private BigDecimal id;
    /**
     * 归集编号
     */
    @ApiModelProperty(value = "归集编号")
    private String collectionNumber;
    /**
     * 客户编号
     */
    @ApiModelProperty(value = "客户编号")
    private String clientNumber;
    /**
     * 归集名称
     */
    @ApiModelProperty(value = "归集名称")
    private String collectionName;

}
