/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.watermeter.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
 * 用户关联用水性质
 *
 * @author xqf
 * @date Wed Jan 12 00:00:00 CST 2022
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_YWPN_QFKHJBXX_YSXZ_W", resultMap = "qfkhjbxxYsxzMap")
@KeySequence("TF_YWPN_QFKHJBXX_YSXZ_W")
@ApiModel
public class QfkhjbxxYsxz extends Model<QfkhjbxxYsxz> {
    private static final long serialVersionUID = 1L;

    /**
     * $column.comments
     */
    //@TableId(value = "ID", type = IdType.INPUT)
    @ApiModelProperty(value = "$column.comments")
    private Long id;
    /**
     * 用户编号
     */
    @ApiModelProperty(value = "用户编号")
    private String yhbh;
    /**
     * 用水性质
     */
    @ApiModelProperty(value = "用水性质")
    private String ysxz;
    /**
     * 用水性质细分
     */
    @ApiModelProperty(value = "用水性质细分")
    private String xzxf;
    /**
     * 是否主要用水 0否;1是,每个用户只有一个主要用水
     */
    @ApiModelProperty(value = "是否主要用水 0否;1是,每个用户只有一个主要用水")
    private Short zyys;

}
