/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.watermeter.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;


/**
 * 中间抄表本编码表
 *
 * @author wangjieliu
 * @date Wed Apr 14 00:00:00 CST 2021
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value="TF_YWPN_QFMIDCBBBM_E",resultMap = "qfmidcbbbmEMap")
@KeySequence("TF_YWPN_QFMIDCBBBM_E")
@ApiModel
public class QfmidcbbbmE extends Model<QfmidcbbbmE> {
    private static final long serialVersionUID = 1L;

        /**
     * 表本编码
     */
        @TableId(value = "CBBBM",type= IdType.INPUT)
            @ApiModelProperty(value = "表本编码")
                private String cbbbm;
                /**
     * 表本名称
     */
            @ApiModelProperty(value = "表本名称")
                private String cbbmc;
                /**
     * 表本地址描述
     */
            @ApiModelProperty(value = "表本地址描述")
                private String cbdz;
                /**
     * 抄表员（编码）
     */
            @ApiModelProperty(value = "抄表员（编码）")
                private String cbry;
                /**
     * 所属片区编码
     */
            @ApiModelProperty(value = "所属片区编码")
                private String cbpq;
                /**
     * 创建日期
     */
            @ApiModelProperty(value = "创建日期")
        @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
                private Date createCzrq;
                /**
     * 抄表周期（单月抄表/双月抄表）
     */
            @ApiModelProperty(value = "抄表周期（单月抄表/双月抄表）")
            @TableField(value = "CREATE_USER",fill = FieldFill.INSERT)
            private String createUser;
            @ApiModelProperty(hidden = true)
    private String createUserName;
            /**
     * 有效标志
     */
            @ApiModelProperty(value = "有效标志")
                private String yxbz;
                /**
     * 备注
     */
            @ApiModelProperty(value = "备注")
                private String bz;
            
}
