/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.watermeter.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.tofly.watermeter.custom.entity.file.FileInfo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.List;


/**
 * 用户档案抄表永久备注及附件信息
 *
 * @author wangjieliu
 * @date Thu Jan 27 00:00:00 CST 2022
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_YWPN_YHFOREVERINFO_W", resultMap = "yhforeverinfoMap")
@KeySequence("TF_YWPN_YHFOREVERINFO_W")
@ApiModel
public class Yhforeverinfo extends Model<Yhforeverinfo> {
    private static final long serialVersionUID = 1L;

    /**
     * 用户编号
     */
//    @TableId(value = "YHBH", type = IdType.INPUT)
    @ApiModelProperty(value = "用户编号")
    private String yhbh;
    /**
     * 备注
     */
    @ApiModelProperty(value = "备注")
    private String clientBz;
    /**
     * 附件ids
     */
    @ApiModelProperty(value = "附件ids")
    private String fileId;

    @ApiModelProperty(hidden = true)
    @TableField(exist = false)
    private List<FileInfo> fileInfo;

}
