/*
 * Author: wangjian
 * 生成mapper
 */
package com.tofly.watermeter.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.watermeter.custom.entity.SearchSb;
import com.tofly.watermeter.entity.Bwrepair;
import org.apache.ibatis.annotations.Param;


import java.util.List;
import java.util.Map;

/**
 * 水表维修记录表
 *
 * @author wangjieliu
 * @date Mon Aug 23 00:00:00 CST 2021
 */
public interface BwrepairMapper extends BaseMapper<Bwrepair> {

    String getRepairResultName(@Param("repairResult") String repairResult);

    IPage<Map> getRepair(Page page, @Param("sb") SearchSb searchSb);
}
