/*
 * Author: wangjian
 * 生成mapper
 */
package com.tofly.watermeter.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.watermeter.custom.entity.MeterInfo;
import com.tofly.watermeter.custom.entity.SearchSb;
import com.tofly.watermeter.entity.Bwrkdetail;
import org.apache.ibatis.annotations.Param;

import java.util.Map;

/**
 * 入库记录明细表
 *
 * @author admin
 * @date Wed Mar 10 00:00:00 CST 2021
 */
public interface BwrkdetailMapper extends BaseMapper<Bwrkdetail> {
    long selectMaxId(@Param("tableName") String tableName);
    void updateNum(@Param("map") Map<Long, Long> rkIdAndNum);
    IPage<MeterInfo> getRkRecord(Page page , @Param("sea") SearchSb searchSb);
}
