/*
 * Author: wangjian
 * 生成mapper
 */
package com.tofly.watermeter.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.watermeter.custom.entity.CustomSbYjgl;
import com.tofly.watermeter.custom.entity.Statistic;
import com.tofly.watermeter.custom.entity.file.TurnoverFileInfo;
import com.tofly.watermeter.entity.Bwsbyjgl;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;
import java.util.Map;

/**
 * 水表移交管理表
 *
 * @author wangjieliu
 * @date Fri Mar 19 00:00:00 CST 2021
 */
public interface BwsbyjglMapper extends BaseMapper<Bwsbyjgl> {
    List<Map> select(@Param("id") Long id);

    /**
     *
     * @param page
     * @param cj
     * @param kj
     * @param lx
     * @param start
     * @param end
     * @return
     */
    IPage<Map> getScrapInfo(Page page, @Param("cj")Long cj, @Param("kj")Long kj, @Param("lx")Long lx ,
                            @Param("start") Date start, @Param("end") Date end );

    IPage<Map> getScrap(Page page, @Param("sta") Statistic statistic ,
                        @Param("cj") List<String> cjList,@Param("kj") List<String> kjList,@Param("lx") List<String> lxList);

    boolean insertBatch(@Param("list") List<TurnoverFileInfo> bwsbyjglList, @Param("yjgl") CustomSbYjgl bwsbyjgl);

    String getYjxxName(@Param("yjxx") String yjxx);
}
