/*
 * Author: wangjian
 * 生成mapper
 */
package com.tofly.watermeter.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.watermeter.entity.Gjgl;
import com.tofly.watermeter.entity.Gjglxq;
import org.apache.ibatis.annotations.Param;

import javax.servlet.http.HttpServletResponse;
import java.math.BigDecimal;

import java.util.List;
import java.util.Map;

/**
 * 归集管理表
 *
 * @author wangjieliu
 * @date Wed Mar 09 00:00:00 CST 2022
 */
public interface GjglMapper extends BaseMapper<Gjgl> {
    IPage<Map> collectAnalyzeOne(Page<Gjgl> page, @Param("inputcontent") String inputcontent,
                                 @Param("collectionType")String collectionType, @Param("startDate")String startDate,
                                 @Param("endDate")String endDate);

    List<Map> collectAnalyzeTwo(@Param("startDate")String startDate, @Param("endDate")String endDate,
                                @Param("collectionNumber")String collectionNumber);

    IPage<Map> collectAnalyzeThree(Page<Gjglxq> page, @Param("startDate")String startDate,
                                   @Param("endDate")String endDate, @Param("collectionNumber")String collectionNumber);
}
