/*
 * Author: wangjian
 * 生成ServiceImpl
 */
package com.tofly.watermeter.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.tofly.watermeter.custom.dto.NatureOfWaterUseDto;
import com.tofly.watermeter.entity.QfmidysxzbmE;
import com.tofly.watermeter.service.QfmidysxzbmEService;
import org.springframework.stereotype.Service;
import com.tofly.watermeter.mapper.QfmidysxzbmEMapper;

import java.util.List;

/**
 * 中间营销用水性质编码
 *
 * @author wangjieliu
 * @date Wed Apr 14 00:00:00 CST 2021
 */
@Service("qfmidysxzbmEService")
public class QfmidysxzbmEServiceImpl extends ServiceImpl<QfmidysxzbmEMapper, QfmidysxzbmE> implements QfmidysxzbmEService {

    /**
     * 条件用水性质
     * @param dto dto
     * @return boolean
     */
    @Override
    public boolean insertNatureOfWaterUse(List<NatureOfWaterUseDto> dto) {
        return baseMapper.insertNatureOfWaterUse(dto);
    }
}
