package com.tofly.xrtymis;

import com.tofly.baseapi.config.ToflyWebColudApplication;
import com.tofly.xrtymis.config.FeignConfig;
import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.cloud.openfeign.EnableFeignClients;
import org.springframework.context.annotation.ComponentScan;

//@ToflyWebColudApplication中未加入@EnableFeignClients的参数
@ToflyWebColudApplication
@EnableFeignClients(basePackages ={"com.tofly.api","com.tofly.common.log"},defaultConfiguration = {FeignConfig.class})
public class XrtyMisApplication {
    public static void main(String[] args) {
        SpringApplication.run(XrtyMisApplication.class, args);
    }

}
