package com.tofly.xrtymis.config;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

/**
 * @author 李忠威
 * @date 2020/8/25  16:14
 */
@Data
@Component
@ConfigurationProperties(prefix = "xrty.ftp")
public class FilePathBean {
    /**
     * 派工图片路劲
     */
    private String pgjl;
    /**
     * Excel模板
     */
    private String excelmb;

    /**
     * 工单认证处理文件
     */
    private String gdrzcl;

    /**
     * 水表信息采集文件
     */
    private String sbxxcj;

    /**
     * 工单结果处置文件
     */
    private String jgczcl;

}
