package com.tofly.xrtymis.custom.dto.other;

import com.tofly.xrtymis.entity.Gddepartment;
import com.tofly.xrtymis.entity.Gdflowconfig;
import com.tofly.xrtymis.entity.Gdperson;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @author FlashWJL
 * @date 2021/11/23 15:51
 */
@Data
public class GdConfigDto {

    @ApiModelProperty(value = "工单类型、细分集合")
    private List<Gdflowconfig> gdflowconfigList;
    @ApiModelProperty(value = "流程节点人员集合配置")
    private List<Gdperson> gdpersonList;
    @ApiModelProperty(value = "流程节点部门集合配置")
    private List<Gddepartment> gddepartmentList;
    /**
     * 以下是流程配置公共参数
     */
    @ApiModelProperty(value = "ID")
    private Long id;
    @ApiModelProperty(value = "工单类型")
    private Long gdlx;
    @ApiModelProperty(value = "工单细分1")
    private Long gdxf1;
    @ApiModelProperty(value = "工单细分2")
    private Long gdxf2;
    @ApiModelProperty(value = "工单总时限   5个工作日内完")
    private Long gdzsx;
    @ApiModelProperty(value = "工单登记接单时限   1个工作日内完成")
    private Long gddjJdsx;
    @ApiModelProperty(value = "工单登记节点  0 未启用，1启用")
    private String gddjSfqy;
    @ApiModelProperty(value = "认证处置节点  0 未启用，1启用")
    private String rzczSfqy;
    @ApiModelProperty(value = "认证处置时限     1个工作日内完")
    private Long rzczCzsx;
    @ApiModelProperty(value = "认证审核节点  0 未启用，1启用")
    private String rzshSfqy;
    @ApiModelProperty(value = "认证审核时限    1个工作日内完成")
    private Long rzshShsx;
    @ApiModelProperty(value = "认证质检节点 0 未启用，1启用")
    private String rzzjSfqy;
    @ApiModelProperty(value = "认证质检时限   1个工作日内完成")
    private Long rzzjZjsx;
    @ApiModelProperty(value = "结果处置节点 0 未启用，1启用")
    private String jgczSfqy;
    @ApiModelProperty(value = "结果处置时限  1个工作日内完成")
    private Long jgczCzsx;
    @ApiModelProperty(value = "结果审核 节点0 未启用，1启用")
    private String jgshSfqy;
    @ApiModelProperty(value = "结果审核时限  1个工作日内完成")
    private Long jgshShsx;
    @ApiModelProperty(value = "结果审核等级（1，一级；2，二级；3，三级；4，四级）")
    private String jgshCcjb;
    @ApiModelProperty(value = "所有的流程接单;用,分割如:1,2,3;1.工单登记，2.认证处置3.认证审核4.认证质检  5.结果处置6.结果审核7.工单归档")
    private String allLcjd;
    @ApiModelProperty(value = "转出类型 1、抢维修")
    private Long transferOutType;
    @ApiModelProperty(value = "标记类型 1、水表出库；争议检定")
    private Long tabType;










}
