package com.tofly.xrtymis.custom.service;


import com.tofly.common.core.entity.ResultRespone;
import com.tofly.entity.pojo.User;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.cloud.openfeign.SpringQueryMap;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestParam;

/**
 * 远程调用base模块服务
 */
@FeignClient(contextId = "baseService", value = "tofly-base")
public interface BaseInfoService {
    /**
     * 远程调用base模块新增用户
     *
     * @param
     * @return
     */
    @PostMapping(value = "/user/saveNew")
    ResultRespone save(@SpringQueryMap User user, @RequestParam(value="roles") String roles);
}
