/*
 * Author: wangjian
 * 生成Service
 */
package com.tofly.xrtymis.custom.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.common.core.entity.ResultRespone;
import com.tofly.xrtymis.custom.dto.TfYwpnHydrantDTO;
import com.tofly.xrtymis.entity.TfYwpnGatherrecord;
import com.tofly.xrtymis.entity.TfYwpnHydrant;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

/**
 * 消防栓信息采集数据表：TF_YWPN_HYDRANT_W
 *
 * @author fcl
 * @date Fri Apr 16 00:00:00 CST 2021
 */
public interface TfYwpnHydrantService extends IService<TfYwpnHydrant> {

    ResultRespone saveFireHydrantInformation(TfYwpnHydrant tfYwpnHydrant);

    ResultRespone updateHydrantById(List<MultipartFile> fileList,TfYwpnHydrant tfYwpnHydrant);

    ResultRespone removeHydrantById(Long id);

}
