/*
 * Author: wangjian
 * 生成Service
 */
package com.tofly.xrtymis.custom.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.fasterxml.jackson.core.JsonProcessingException;
import com.tofly.common.core.entity.ResultRespone;
import com.tofly.xrtymis.custom.dto.TfYwpnValveDTO;
import com.tofly.xrtymis.entity.TfYwpnGatherrecord;
import com.tofly.xrtymis.entity.TfYwpnValve;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

/**
 * 控制阀信息采集数据表：TF_YWPN_VALVE_W
 *
 * @author fcl
 * @date Fri Apr 16 00:00:00 CST 2021
 */
public interface TfYwpnValveService extends IService<TfYwpnValve> {

    ResultRespone saveControlValve( TfYwpnValve tfYwpnValve);

    ResultRespone updateValveById(List<MultipartFile> fileList,TfYwpnValve tfYwpnValve);

    ResultRespone removeValveById(Long id);

}
