/*
 * Author: wangjian
 * 生成ServiceImpl
 */
package com.tofly.xrtymis.custom.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.tofly.xrtymis.custom.service.GdpersonService;
import com.tofly.xrtymis.entity.Gdperson;
import org.springframework.stereotype.Service;
import com.tofly.xrtymis.mapper.GdpersonMapper;

/**
 * 流程配置多选部门、人员配置关联表
 *
 * @author wangjieliu
 * @date Tue Nov 23 00:00:00 CST 2021
 */
@Service("gdpersonService")
public class GdpersonServiceImpl extends ServiceImpl<GdpersonMapper, Gdperson> implements GdpersonService {

    @Override
    public Gdperson getGdperson(Long gdlcid, int node) {
        return this.baseMapper.getGdperson(gdlcid,node);
    }
}
