/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.xrtymis.custom.vo;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;


/**
 * ${comments}
 *
 * 当前工单节点处理信息
 * @author LZW
 * @date Tue Apr 27 00:00:00 CST 2021
 */
@Data
@ApiModel
public class CurrentNodeInformationVo extends Model<CurrentNodeInformationVo> {
    private static final long serialVersionUID = 1L;
    @ApiModelProperty(value = "当前处理人员")
    private Long presentPerson;

    @TableField(exist = false)
    private String presentPersonName;

    @ApiModelProperty(value = "当前处理部门")
    private Long presentDept;

    @TableField(exist = false)
    private String presentDeptName;


}
