package com.tofly.xrtymis.custom.vo;

import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.Getter;
import lombok.Setter;
import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @author FlashWJL
 * @date 2021/10/28 16:58
 */
@Getter
@Setter
public class GdPercentStatic {

    @ApiModelProperty(value = "登记部门id")
    private Long djbm;
    @ApiModelProperty(value = "登记部门名称")
    @TableField(exist = false)
    private String djbmName;

    @ApiModelProperty(value = "工单类型id")
    private Long gdlx;
    private String gdlxName;

    @ApiModelProperty(value = "工单类型细分1")
    private Long gdxf1;
    @TableField(exist = false)
    private String gdxf1Name;
    @ApiModelProperty(value = "工单类型细分1")
    private Long gdxf2;
    @TableField(exist = false)
    private String gdxf2Name;

    @ApiModelProperty(value = "拼接工单类型")
    @TableField(exist = false)
    private String typeJoint;

    @ApiModelProperty(value = "工单登记数量")
    private Long gddjNum;

    @ApiModelProperty(value = "认证处置待办数量")
    private Long rzczNum;

    @ApiModelProperty(value = "认证处置总数")
    private Long rzczTotalNum;

    @ApiModelProperty(value = "认证审核待办数量")
    private Long rzshNum;

    @ApiModelProperty(value = "认证审核总数")
    private Long rzshTotalNum;

    @ApiModelProperty(value = "认证质检待办数量")
    private Long rzzjNum;

    @ApiModelProperty(value = "认证质检总数")
    private Long rzzjTotalNum;

    @ApiModelProperty(value = "结果处置待办数量")
    private Long jgczNum;

    @ApiModelProperty(value = "结果处置总数")
    private Long jgczTotalNum;

    @ApiModelProperty(value = "结果审核待办数量")
    private Long jgshNum;

    @ApiModelProperty(value = "结果审核总数")
    private Long jgshTotalNum;

    @ApiModelProperty(value = "转抢维修")
    private Long qwxNum;

    @ApiModelProperty(value = "工单总数")
    private Long gdNum;

    @ApiModelProperty(value = "已完成(已归档)")
    private Long gdgdNum;
    @ApiModelProperty(value = "未完成(未归档)")
    private Long notGdgdNum;

    @ApiModelProperty(value = "工单完成率")
    private String gdOverRate;

}
