/*
 * Author: wangjian
 * 生成mapper
 */
package com.tofly.xrtymis.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.tofly.pojo.comm.Audit;
import com.tofly.xrtymis.custom.vo.GdgltTypeTreeVO;
import com.tofly.xrtymis.entity.Gdgltypebm;
import org.apache.ibatis.annotations.Param;


import java.util.List;

/**
 * 业务工单类型编码表
 *
 * @author fu
 * @date Sat Mar 20 00:00:00 CST 2021
 */
public interface GdgltypebmMapper extends BaseMapper<Gdgltypebm> {
    String getTypeName(@Param("id") Long id);

    List<Audit> getAuditInfo(@Param("audit")Audit audit);

    void updateViewType(@Param("id") Long id , @Param("viewType") String viewType);

    List<GdgltTypeTreeVO> getTypeTree(@Param("statusFlag")String statusFlag,@Param("yxbz") String yxbz,@Param("datatype") String datatype,@Param("viewType") String viewType);
}
