package com.tofly.qualitycontrol.dto;

import com.tofly.qualitycontrol.vo.PlanAuditDetailVO;
import com.tofly.qualitycontrol.vo.PlanAuditHistoryVO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import java.util.List;

/**
 * @author B
 */
@Data
@Accessors(chain = true)
@ApiModel("质检计划包装类")
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class PlanDTO {

	@ApiModelProperty("计划审核detail-VO")
	private PlanAuditDetailVO planAuditDetailVO;
	@ApiModelProperty("计划审核历史list")
	private List<PlanAuditHistoryVO> voList;

}
