package com.tofly.qualitycontrol.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

/**
 * TF_YWPN_GJGL_W 归集汇总分析实体类
 *
 * @author B
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_YWPN_GJGLXQ_W", resultMap = "collectionNumberSummaryMap")
@ApiModel("归集汇总分析实体类")
public class CollectionNumberSummary extends Model<CollectionNumberSummary> {

	private static final long serialVersionUID = 1L;
	/** 归集编号 */
	@ApiModelProperty("归集编号")
	private String collectionNumber;
	/** 归集名称 */
	@ApiModelProperty("归集名称")
	private String collectionName;
	/** 客户编号 */
	@ApiModelProperty("客户编号")
	private String clientNumber;

}