package com.tofly.qualitycontrol.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
@Data
@EqualsAndHashCode
public class OrderFinishInfoVo implements Serializable {
    private static final long serialVersionUID = 1L;

    /** 类型ID*/
    @ApiModelProperty("类型ID")
    private String type;
    /** 类型名称 */
    @ApiModelProperty("类型名称")
    private String typeName;
    /** 部门ID*/
    @ApiModelProperty("部门ID")
    private String dept;
    /** 部门名称 */
    @ApiModelProperty("部门名称")
    private String deptName;
    /** 上报工单数、工单总数 、检验总数*/
    @ApiModelProperty("上报工单数、工单总数、检验总数")
    private Long dispatchSize;
    /** 工单完成数 */
    @ApiModelProperty("工单完成数")
    private Long wc;
    /** 工单未完成数 */
    @ApiModelProperty("工单未完成数")
    private Long nwc;
    /** 工单完成率 */
    @ApiModelProperty("工单完成率 ")
    private Double wcl;
}
