package com.tofly.qualitycontrol.vo;

import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

@Data
@EqualsAndHashCode
public class OrderFinishVo  extends OrderFinishInfoVo {
    private static final long serialVersionUID = 1L;

    /** 认证项目*/
    @ApiModelProperty("认证项目")
    private String certificationProject;

    /** 认证项目 */
    @TableField(exist = false)
    @ApiModelProperty("认证项目")
    private String certificationProjectName;


    /** 检验待办 */
    @ApiModelProperty("检验待办")
    private Long jyDb;
    /** 检验超时 */
    @ApiModelProperty("检验超时")
    private Long jyCs;

    /** 检验超时率 */
    @ApiModelProperty("检验超时率")
    private Double jyCsl;

    /** 整改下达待办 */
    @ApiModelProperty("整改下达待办")
    private Long xdDb;
    /** 整改下达 */
    @ApiModelProperty("整改下达")
    private Long xd;
    /** 整改下达超时 */
    @ApiModelProperty("整改下达超时")
    private Long xdCs;

    /** 整改下达超时率 */
    @ApiModelProperty("整改下达超时率")
    private Double xdCsl;

    /** 整改处置待办 */
    @ApiModelProperty("整改处置待办")
    private Long zcDb;
    /** 整改处置 */
    @ApiModelProperty("整改处置")
    private Long zc;
    /** 整改处置超时 */
    @ApiModelProperty("整改处置超时")
    private Long zcCs;
    /** 整改处置超时率 */
    @ApiModelProperty("整改处置超时率")
    private Double zcCsl;

    /** 整改审核待办 */
    @ApiModelProperty("整改审核待办")
    private Long zsDb;
    /** 整改审核 */
    @ApiModelProperty("整改审核")
    private Long zs;

    /** 整改验证待办 */
    @ApiModelProperty("整改验证待办")
    private Long zyDb;
    /** 整改验证 */
    @ApiModelProperty("整改验证")
    private Long zy;
    /** 整改验证超时 */
    @ApiModelProperty("整改验证超时")
    private Long zyCs;
    /** 整改验证超时率 */
    @ApiModelProperty("整改验证超时率")
    private Double zyCsl;
    /** 验证审核待办 */
    @ApiModelProperty("验证审核待办")
    private Long ysDb;
    /** 验证审核 */
    @ApiModelProperty("验证审核")
    private Long ys;






}
