package com.tofly.qualitycontrol.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
@Data
@EqualsAndHashCode
public class OrderSummaryVo implements Serializable {
    private static final long serialVersionUID = 1L;

    /** 认证项目(抄表数据/其它数据等)-检查项目 */
    @ApiModelProperty("认证项目(抄表数据/其它数据等 字典)-检查项目 ")
    private String certificationProject;


    /** 认证项目(抄表数据/其它数据等)-检查项目 */
    @ApiModelProperty("认证项目(抄表数据/其它数据等 字典)-检查项目 ")
    private String certificationProjectName;

    /** 上报数量 */
    @ApiModelProperty("上报数量 ")
    private Long reportSum;

    /** 上报工单数量 */
    @ApiModelProperty("上报工单数量 ")
    private Long reportCount;

    /** 检查数量 */
    @ApiModelProperty("检查数量 ")
    private Long inspectCount;

    /** 下达数量 */
    @ApiModelProperty("下达数量 ")
    private Long releaseCount;

    /** 处置数量 */
    @ApiModelProperty("处置数量 ")
    private Long handleCount;

    /** 整改审核数量 */
    @ApiModelProperty("整改审核数量 ")
    private Long rectifyAuditCount;

    /** 整改验证数量 */
    @ApiModelProperty("整改验证数量 ")
    private Long rectifyVerifyCount;


    /** 验证审核数量 */
    @ApiModelProperty(" 验证审核数量 ")
    private Long validateCount;

    /** 合计 */
    @ApiModelProperty(" 合计 ")
    private Long total;


}
