package com.tofly.qualitycontrol.vo;

import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 整改验证
 *
 * @author B
 */
@Data
@EqualsAndHashCode(callSuper = true)
@ApiModel("整改验证VO-list")
public class RectifyVerifyOrderVO_L extends Model<RectifyVerifyOrderVO_L> {

	private static final long serialVersionUID = 1L;
	/** ID */
	@ApiModelProperty("整改工单主键ID")
	private Long id;
	/** 上报工单的id */
	@ApiModelProperty("上报工单的id")
	private Long certificationOrderId;
	/** 整改编号 */
	@ApiModelProperty("整改编号")
	private String rectifyNumber;
	/** 认证编号 */
	@ApiModelProperty("认证编号")
	private String certificationNumber;
	/** 客户编号 */
	@ApiModelProperty("客户编号")
	private String clientNumber;
	/** 客户姓名 */
	@ApiModelProperty("客户姓名")
	private String clientName;
	/** 客户电话 */
	@ApiModelProperty("客户电话")
	private String clientPhone;
	/** 客户地址 */
	@ApiModelProperty("客户地址")
	private String clientAddress;
	/** 水表型号（DN15、20、25、40、50、80、100、150、200等）。 */
	@ApiModelProperty("水表型号（DN15、20、25、40、50、80、100、150、200等）。")
	private String meterType;
	/** 用水类别（生活、非居、工业等） */
	@ApiModelProperty("用水类别（生活、非居、工业等）")
	private String waterCategory;
	/** 验证状态(0本环节/2驳回/3终止) */
	@ApiModelProperty("验证状态(0本环节/2驳回/3终止)")
	private String verifyStatus;

}
