package com.tofly.qualitycontrol.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

@Data
@EqualsAndHashCode
public class ReportSummaryVo  implements Serializable {
    private static final long serialVersionUID = 1L;


    /** 认证项目(抄表数据/其它数据等)-检查项目 */
    @ApiModelProperty("认证项目(抄表数据/其它数据等 字典)-检查项目 ")
    private String certificationProject;


    /** 认证项目(抄表数据/其它数据等)-检查项目 */
    @ApiModelProperty("认证项目(抄表数据/其它数据等 字典)-检查项目 ")
    private String certificationProjectName;

    /** 上报数量 */
    @ApiModelProperty("上报数量 ")
    private Long reportSum;

    /** 待办数量 */
    @ApiModelProperty("待办数量 ")
    private Long dealtWithCount;


    /** 已办数量 */
    @ApiModelProperty("已办数量 ")
    private Long doneCount;

    /** 工单未完成数量 */
    @ApiModelProperty("工单未完成数量 ")
    private Long incomplete;

    /** 工单完结数量 */
    @ApiModelProperty("工单完结数量 ")
    private Long endCount;

    /** 工单待超时数量 */
    @ApiModelProperty("工单待超时数量 ")
    private Long waitTimeoutCount;
    /** 转派数量 */
    @ApiModelProperty("转派数量 ")
    private Long zpCount;
    /** 驳回数量 */
    @ApiModelProperty("驳回数量 ")
    private Long bhCount;

    /** 工单超时数量 */
    @ApiModelProperty("工单超时数量 ")
    private Long overtimeCount;


}
