package com.tofly.waterMaking.config;

import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestParam;

@FeignClient(name = "tofly-xrtygis")
public interface GisFegin {

    @GetMapping("/newHotline/getRealNameById")
    String getRealNameById(@RequestParam("empcode") String empcode);

    @GetMapping("/newHotline/getDeptNameById")
    String getDeptNameById(@RequestParam("deptId") Long deptId);

}
