package com.tofly.api;

import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestParam;

@FeignClient(name = "tofly-base",contextId="appClient")
public interface AppClient {
    @GetMapping("/app/getNewVersion")
    String getNewVersion(@RequestParam(value = "type") String type);
}
