package com.tofly.base.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * @author fcl
 * @date 2021/3/10 14:02
 */
@Data
public class AppTypeDTO {
    @ApiModelProperty(value = "APP类型")
    private String version;

    @ApiModelProperty(value = "发布状态")
    private String releaStatu;

    @ApiModelProperty(value = "发布时间")
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    private Date releaseTime;
}
