package com.tofly.base.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;
@Data
public class HistorySelectDTO {
    @ApiModelProperty(value = "用户名")
    private String username;

    @ApiModelProperty(value = "审核意见")
    private String auditStatus;

    @ApiModelProperty(value = "开始申请时间")
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    private Date startAuditTime;

    @ApiModelProperty(value = "结束申请时间")
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    private Date endAuditTime;

}
