package com.tofly.base.service;

import com.tofly.base.entity.Company;
import com.tofly.base.entity.Department;

import java.util.List;

public interface UnitManagementService {

    /**
     * 获取单位树形结构列表
     */
    List<Company> getTreeList(String companyName, String deptName);

    /**
     * 新增单位/部门信息
     * @param type
     * @param company
     * @param department
     * @return
     */
    Boolean saveCompanyDept(String type, Company company, Department department);

    /**
     * 修改单位/部门信息
     * @param type
     * @param company
     * @param department
     * @return
     */
    Boolean updateCompanyDept(String type, Company company, Department department);

    /**
     *
     * @param type
     * @param ids
     * @return
     */
    Boolean deleteCompanyDept(String type, String ids);
}
