package com.tofly.api.sign;

import com.tofly.common.core.entity.ResultRespone;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.*;

/**
 * @author BZ-DJJ
 */
@FeignClient(name = "tofly-xrty-gps",contextId="SignClient")
public interface SignClient {
    /**
     * 禁用时,修改用户最新签到信息签到状态为停用
     * @param userIds
     * @return
     */
    @PutMapping("/pdasign/updateSignUserDisable")
    ResultRespone<Boolean> updateSignUserDisable(@RequestParam("userIds") String userIds);
}
