package com.tofly.es.vo;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.es.CarGpsUpload;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.List;

/**
 * @author BZ-DJJ
 */
@Data
public class InspectionTrackVo implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "总里程 km")
    private BigDecimal totalMileage;

    @ApiModelProperty(value = "总耗时 h")
    private BigDecimal totalTimeConsuming;

    @ApiModelProperty(value = "总平均速度 h/km")
    private BigDecimal overallAverageSpeed;

    @ApiModelProperty(value = "分页对象列表")
    private Page pageGpsInfo;

    @ApiModelProperty(value = "对象列表")
    private List gpsInfoList;
}
