package com.tofly.pojo.comm.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * 首页 - 提供代办事项根据状态获取当前状态下对应类型及路由和数量
 * @author BZ-DJJ
 */
@Data
public class TypeDistributionVo implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "类型code")
    private String typeCode;
    @ApiModelProperty(value = "类型名称")
    private String typeName;
    @ApiModelProperty(value = "类型数量")
    private Integer num;
    @ApiModelProperty(value = "路由")
    private String route;
}
