/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.pojo.plan;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
 * 计划与巡检人关联表
 *
 * @author admin
 * @date Tue Mar 30 00:00:00 CST 2021
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_YWPN_PLAN_INSPECT_USER_W", resultMap = "planInspectUserMap")
@ApiModel
public class PlanInspectUser extends Model<PlanInspectUser> {
    private static final long serialVersionUID = 1L;

    /**
     * $column.comments
     */
    @TableId(value = "ID", type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "$column.comments")
    private Long id;
    /**
     * 主计划id
     */
    @ApiModelProperty(value = "主计划id")
    private Long planId;
    /**
     * 用户编码
     */
    @ApiModelProperty(value = "用户编码")
    @TableField(value = "USER_ID", fill = FieldFill.INSERT)
    private Long userId;
    @ApiModelProperty(hidden = true)
    private String userIdName;

}
