/*
 * Author: Zev
 * 生成entity
 */
package com.tofly.pojo.plan.dto;

import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;


/**
 * 巡检类型配置信息表：TF_YWPN_INSPECTTYPE_W
 *
 * @author admin
 * @date Thu Mar 18 00:00:00 CST 2021
 */
@Data
@ApiModel
public class InspecttypeDto extends Model<InspecttypeDto> {
    private static final long serialVersionUID = 1L;

    /**
     * 巡检类型配置ID
     */
    @ApiModelProperty(value = "巡检类型配置ID")
    private Long id;
    /**
     * 巡查类型名称
     */
    @ApiModelProperty(value = "巡查类型名称")
    private String name;

    /**
     * 备注
     */
    @ApiModelProperty(value = "备注")
    private String note;
    /**
     * 创建人
     */
    @ApiModelProperty(value = "创建人")
    private Long createUser;
    @ApiModelProperty(hidden = true)
    private String createUserName;
    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;
    /**
     * 图层英文名称
     */
    @ApiModelProperty(value = "图层英文名称")
    private String layerName;
    @ApiModelProperty(value = "图层英文名称")
    private String layerNameEn;
    @ApiModelProperty(value = "是否有效0无效 1有效")
    private String flag;

}
