package com.tofly.pojo.plan.dto;

import com.tofly.pojo.plan.TfYwpnStationReport;
import com.tofly.pojo.plan.TfYwpnWorkingCondition;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * 更新计划巡检详情对象
 *
 * @author Zev
 */
@Data
@ApiModel
public class UpdatePlanFactoryDto implements Serializable {

    @ApiModelProperty(value = "计划id")
    private Long planId;
    @ApiModelProperty(value = "设备id")
    private Long deviceId;
    @ApiModelProperty(value = "到位地址")
    private String overAddress;
    @ApiModelProperty(value = "备注")
    private String note;
    @ApiModelProperty(value = "设备是否正常/异常(0正常,1异常)")
    private String isDeviceError;
    @ApiModelProperty(value = "到位用户id")
    private Long userId;
    @ApiModelProperty(value = "厂站id")
    private Long belongStationId;
    @ApiModelProperty(value = "是否是设备巡检 1是 0否 默认1")
    private String isDeviceInspect;
    @ApiModelProperty(value = "巡检工况信息管理")
    private TfYwpnWorkingCondition workingCondition;
    @ApiModelProperty(value = "厂站巡检上报结果表")
    private TfYwpnStationReport stationReport;

}
