package com.tofly.pojo.plan.vo;


import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;


/**
 * 返回审核统计对象
 *
 * @author admin
 * @date Tue Mar 30 00:00:00 CST 2021
 */
@Data
@ApiModel
public class AuditInfoAllVo implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "审核类型名称")
    private String auditTypeName;

    @ApiModelProperty(value = "审核类型编码 00年度巡检计划审核、01月度巡检计划审核、02隐患审核、03消除隐患审核、04工地监护审核、05工地监护取消审核、06巡检任务暂停审核、07巡检任务废除审核、08抢维修工单年计划审核")
    private String auditTypeCode;

    @ApiModelProperty(value = "审核数量")
    private Integer number;
}
