package com.tofly.pojo.plan.vo;

import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.tofly.pojo.plan.Hydrantrecord;
import com.tofly.pojo.plan.LeakRecord;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@Data
@ApiModel
public class PlanDetailVo  extends Model<PlanchildVo> {
    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "计划信息")
    private PlanVo planVo;
    @ApiModelProperty(value = "巡检子计划信息")
    private PlanchildVo planChildVo;

    @ApiModelProperty(value = "过程上报记录列表")
    private List<RecordVo> recordVoList;

    @ApiModelProperty(value = "水压记录上报列表")
    private List<PressrecordVo> pressRecordVoList;

    @ApiModelProperty(value = "管线上报记录列表")
    private  List<PiperecordVo> pipeRecordVoList;

    @ApiModelProperty(value = "消防栓上报记录列表")
    private List<Hydrantrecord> hydrantRecordList;

    @ApiModelProperty(value = "探漏记录列表")
    private List<LeakRecord> leakRecordList;
}
