package com.tofly.pojo.statement.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * 设备维护巡检统计
 */
@Data
public class MaintenancePlanVo implements Serializable {

    @ApiModelProperty(value = "所属类别id")
    private Long category;

    @ApiModelProperty(value = "所属类别名称")
    private String categoryName;

    @ApiModelProperty(value = "污水厂id")
    private Long belongStationId;

    @ApiModelProperty(value = "污水厂名称")
    private String belongStationName;

    @ApiModelProperty(value = "泵站id")
    private Long belongPumpId;

    @ApiModelProperty(value = "泵站名称")
    private String belongPumpName;

    @ApiModelProperty(value = "设备id")
    private Long deviceId;

    @ApiModelProperty(value = "设备名称")
    private String deviceName;

    @ApiModelProperty(value = "设备编号")
    private String deviceCode;

    @ApiModelProperty(value = "设备类型id")
    private Long deviceTypeId;

    @ApiModelProperty(value = "设备类型名称")
    private String deviceTypeName;

    @ApiModelProperty(value = "设备状态")
    private String status;

    @ApiModelProperty(value = "设备状态名称")
    private String statusName;

    @ApiModelProperty(value = "巡检次数")
    private Integer inspectionNum;

    @ApiModelProperty(value = "巡检正常次数")
    private Integer normalInspectionNum;

    @ApiModelProperty(value = "巡检异常次数")
    private Integer errorInspectionNum;

    @ApiModelProperty(value = "维护次数")
    private Integer maintainNum;

    @ApiModelProperty(value = "维护正常次数")
    private Integer normalMaintainNum;

    @ApiModelProperty(value = "维护异常次数")
    private Integer errorMaintainNum;

}
