package com.tofly.pojo.statement.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * 耗材情况导出对象
 *
 * @author BZ-DJJ
 */
@Data
public class MaterialConditionsVo implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "产品名称")
    private String materialTypeName;

    @ApiModelProperty(value = "子集")
    private List<MaterialConditionsChildVo> childVoList;
}
