package com.tofly.pojo.statement.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * 排班记录
 * @author BZ-DJJ
 */
@Data
public class SchedulingVo implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "员工姓名")
    private String userName;
    @ApiModelProperty(value = "工作日期")
    private String time;
    @ApiModelProperty(value = "计划任务详情")
    private String node;
}
