//package com.tofly.gpsboot.config;
//
//
//import com.tofly.gpsboot.handler.plan.*;
//import lombok.AllArgsConstructor;
//import lombok.SneakyThrows;
//import lombok.extern.slf4j.Slf4j;
//import org.springframework.scheduling.annotation.Async;
//import org.springframework.scheduling.annotation.EnableAsync;
//import org.springframework.scheduling.annotation.EnableScheduling;
//import org.springframework.scheduling.annotation.Scheduled;
//import org.springframework.stereotype.Service;
//
//@EnableScheduling   // 1.开启定时任务
//@EnableAsync        // 2.开启多线程
//@Slf4j
//@Service
//@AllArgsConstructor
//public class ScheduledTask {
//    private final AutomaticallySignBackHandler signBackHandler;
//    private final PlanExecuteStateHandler planExecuteStateHandler;
//    private final PlanTimeoutHandler planTimeoutHandler;
//    private final PlanTimeoutRemindHandler planTimeoutRemindHandler;
//    private final CalculationGpsHandler calculationGpsHandler;
//
//    /**
//     * 自动签退
//     */
//    @Async
//    @Scheduled(cron = "0 59 23 * * ?")
//    @SneakyThrows
//    public void automaticallySignBackHandler() {
//        signBackHandler.automaticallySignBackHandler("");
//    }
//
//    /**
//     * 计划时间在执行时间,修改状态为未开始
//     */
//    @Async
//    @Scheduled(cron = "0 0/3 * * * ?")
//    @SneakyThrows
//    public void planExecuteStateHandler() {
//        planExecuteStateHandler.planExecuteStateHandler("");
//
//    }
//
//    /**
//     * 计划超时处理
//     */
//    @Async
//    @Scheduled(cron = "0 0/3 * * * ?")
//    @SneakyThrows
//    public void planTimeoutHandler() {
//        planTimeoutHandler.planTimeoutHandler("");
//
//    }
//
//    /**
//     * 巡检超时提醒
//     */
//    @Async
//    @Scheduled(cron = "0 0/10 * * * ?")
//    @SneakyThrows
//    public void planTimeoutRemindHandler() {
//        planTimeoutRemindHandler.planTimeoutRemindHandler("");
//
//    }
//
//    /**
//     * 巡检超时提醒
//     */
//    @Async
//    @Scheduled(cron = "0 0/10 * * * ?")
//    @SneakyThrows
//    public void calculationGpsHandler() {
//        calculationGpsHandler.calculationGpsHandler("");
//
//    }
//
//}
