package com.tofly.gpsboot.custom.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.pojo.car.cusom.CustomCarBaseinfo;
import com.tofly.pojo.car.vo.CarMochaitomVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

public interface CustomCarBaseinfoMapper extends BaseMapper<CustomCarBaseinfo> {

    List<Map> pageByCarNumber(Page page , @Param("number") String number);

    List<CarMochaitomVo> getCarUseInfo(@Param("statisticsType") Integer statisticsType,
                                       @Param("startDate") String startDate,
                                       @Param("endDate") String endDate);
}
