package com.tofly.gpsboot.custom.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.pojo.car.cusom.CarMochaitomCount;
import com.tofly.pojo.car.cusom.CarMochaitomList;
import com.tofly.pojo.car.cusom.CarMochaitomSearch;
import com.tofly.pojo.car.cusom.CustomCarMochaitom;
import com.tofly.pojo.car.CarMochaitom;

import java.text.ParseException;
import java.util.List;
import java.util.Map;

public interface CustomCarMochaitomService extends IService<CustomCarMochaitom> {
    public Page<Map> pageByCarNumber(Page page, String number);

    List<CarMochaitomCount> pageCount(CarMochaitomSearch carMochaitomSearch) throws ParseException;

    List<CarMochaitom> getList(CarMochaitomList carMochaitomList) throws ParseException;
}
