/*
 * Author: wangjian
 * 生成mapper
 */
package com.tofly.gpsboot.mapper.maintain;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.tofly.pojo.maintain.Repairrecord;
import com.tofly.pojo.maintain.vo.datail.RepairOrderRecordInfoVo;
import org.apache.ibatis.annotations.Param;


import java.util.List;

/**
 * 抢维修处理记录表
 *
 * @author admin
 * @date Tue Apr 06 00:00:00 CST 2021
 */
public interface RepairrecordMapper extends BaseMapper<Repairrecord> {
    /**
     * 根据抢维修id获取抢维修处理记录
     * @param id
     * @return
     */
    List<RepairOrderRecordInfoVo> getRepairRecordInfo(@Param("id") Long id);
}
