/*
 * Author: wangjian
 * 生成Service
 */
package com.tofly.gpsboot.service.car;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.gpsboot.service.maintain.ViewConversion;
import com.tofly.pojo.car.vo.CarTrackVo;
import com.tofly.pojo.maintain.dto.CarTrackDto;
import com.tofly.pojo.plan.Car;
import com.tofly.pojo.plan.vo.CarVo;

/**
 * 
 *
 * @author admin
 * @date Mon May 09 00:00:00 CST 2022
 */
public interface CarService extends IService<Car>, ViewConversion<CarVo, Car> {

    /**
     * 有条件更新
     * @param car
     */
    public  Car updateWithCondition(Car car);


        public Page<CarTrackVo> getCarTrackPage(Page page, CarTrackDto carTrackDto);
}
