/*
 * Author: wangjian
 * 生成Service
 */
package com.tofly.gpsboot.service.maintain;

import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.pojo.User;
import com.tofly.pojo.maintain.MobileDevice;
import com.tofly.pojo.maintain.vo.MobileDeviceVo;

import java.util.List;

/**
 * 移动设备信息表
 *
 * @author wangzhun
 * @date Mon May 16 00:00:00 CST 2022
 */
public interface MobileDeviceService extends IService<MobileDevice> ,ViewConversion<MobileDeviceVo, MobileDevice>{

    public List<User> findMobileUser(Long deptId);

    public  void checkHasRegister(MobileDevice mobileDevice);
}
