/*
 * Author: wangjian
 * 生成Service
 */
package com.tofly.gpsboot.service.maintain;


import com.tofly.pojo.maintain.dto.RepairrecordDto;
import com.tofly.pojo.maintain.vo.RepairrecordVo;
import com.tofly.gpsboot.exception.BusinessException;
import com.tofly.gpsboot.service.IBaseService;
import com.tofly.pojo.maintain.Repairrecord;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

/**
 * 抢维修处理记录表
 *
 * @author admin
 * @date Tue Apr 06 00:00:00 CST 2021
 */
public interface RepairrecordService extends IBaseService<Repairrecord, RepairrecordVo> {
    /**
     * 新增基本和详情信息
     * @param fileList
     * @param parDto
     * @throws BusinessException 抛出新增的详情为空
     */
    void savaRepairrecordInfo(List<MultipartFile> fileList, RepairrecordDto parDto) throws BusinessException;

}
