/*
 * Author: wangjian
 * 生成Service
 */
package com.tofly.gpsboot.service.maintain;


import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.gpsboot.strategy.ExcelStrategy;
import com.tofly.pojo.maintain.dto.RepairtypeDto;
import com.tofly.pojo.maintain.vo.RepairtypeVo;
import com.tofly.gpsboot.exception.BusinessException;
import com.tofly.gpsboot.service.IBaseService;
import com.tofly.pojo.maintain.Repairtype;

/**
 * 维修类型信息表
 *
 * @author admin
 * @date Tue Apr 06 00:00:00 CST 2021
 */
public interface RepairtypeService extends IBaseService<Repairtype,RepairtypeVo> , ExcelStrategy {
    /**
     * 单个删除或批量删除信息
     *
     * @param idLists
     * @throws BusinessException 抛出删除对象不存在
     */
    void deleteRepairTypeInfo(String idLists) throws BusinessException;

    /**
     * 分页查询
     * @param page
     * @param parDto
     * @return
     */
    public Page<RepairtypeVo> getRepairTypePage(Page page, RepairtypeDto parDto);


}
