/*
 * Author: wangjian
 * 生成Service
 */
package com.tofly.gpsboot.service.paln;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.pojo.plan.Fault;
import com.tofly.pojo.plan.Plantype;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

/**
 * 故障服务接口
 *
 * @author admin
 * @date Wed Nov 10 00:00:00 CST 2021
 */
public interface FaultService extends IService<Fault> {

    Page<Fault> getFaultPage(Page page,Fault fault);

    boolean savaFaultInfo(List<MultipartFile> fileList, Fault fault);

    boolean updateFaultInfo(List<MultipartFile> fileList, Fault fault);
}
