package com.tofly.xrtygis;


import com.tofly.baseapi.config.ToflyWebColudApplication;
import com.tofly.xrtygis.config.FeignConfig;
import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.cloud.openfeign.EnableFeignClients;


@ToflyWebColudApplication
@EnableFeignClients(basePackages ={"com.tofly.api","com.tofly.xrtygis"},defaultConfiguration = {FeignConfig.class})
@MapperScan({"com.tofly.*.mapper", "com.tofly.*.custom.mapper"})
//@ComponentScan(basePackages = {"com.tofly.xrtygis.*"})
public class XrtyGisApplication {

    public static void main(String[] args) {
        SpringApplication.run(XrtyGisApplication.class, args);
    }

}
