package com.tofly.xrtygis.custom.controller;

import com.tofly.common.core.entity.ResultRespone;
import com.tofly.xrtygis.custom.service.CustomUnitService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.AllArgsConstructor;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @author 陈浩
 * @date 2021/4/26
 */
@Api(tags = "实际管理-制水单耗")
@RestController
@RequestMapping("/unit")
@AllArgsConstructor
public class CustomUnitController {

    private final CustomUnitService customUnitService;

    @GetMapping("/viewUnit")
    @ApiOperation("查询指标单耗")
    public ResultRespone viewUnit(String month){
        return ResultRespone.success(customUnitService.viewUnit(month));
    }
}
