package com.tofly.xrtygis.custom.entity.dma;

import com.tofly.pojo.Resultdisp;
import com.tofly.xrtygis.entity.Dmawarnhandle;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @author FlashWJL
 * @date 2021/9/23 11:06
 */
@Data
public class DmawarnhandleDto extends Dmawarnhandle {
    /**
     * 工单类型
     */
    @ApiModelProperty(value = "工单类型")
    private Long gdlx;
    /**
     * 工单细分1
     */
    @ApiModelProperty(value = "工单细分1")
    private Long gdxf1;
    /**
     * 工单细分2
     */
    @ApiModelProperty(value = "工单细分2")
    private Long gdxf2;
    /**
     * 配置业务流程ID
     */
    @ApiModelProperty(value = "配置业务流程ID")
    private String lcid;

    /**
     * 处理人员-工单登记
     */
    @ApiModelProperty(value = "处理人员-工单登记")
    private Long slry;
    /**
     * 工单描述
     */
    @ApiModelProperty(value = "工单描述")
    private String gdms;
    @ApiModelProperty(value = "登记人员")
    private Long djry;
    @ApiModelProperty(value = "等级部门")
    private Long djbm;
    @ApiModelProperty(value = "流程节点")
    private Long lcjd;
    @ApiModelProperty(value = "受理人员部门")
    private Long slbm;
    @ApiModelProperty(value = "是否热线类型")
    private String isRxlx;
    @ApiModelProperty(value = "紧急程度")
    private Long jjcd;
    @ApiModelProperty(value = "工单登记流程状态")
    private Long gddjZt;
    @ApiModelProperty(value = "申请人员")
    private Long sqry;
    @ApiModelProperty(value = "结果处置多人员选择")
    private List<Resultdisp> resultdispList;

}
