package com.tofly.xrtygis.custom.entity.dma;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.tofly.common.core.annotation.Excel;
import lombok.Data;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

@Data
@Accessors(chain = true)
public class ImportExDuty {

//    @Excel(name = "序号")
//    private Long exId;

    private Long id;


    @Excel(name = "人员编号ID")
    private Long dutyUser;
    @Excel(name = "人员名称")
    private String dutyUserName;

    /**
     * 工作时段；1：白班，2：晚班，3：休
     */
    @Excel(name = "工作时段")
    private String workTime;

    @Excel(name = "工作日期")
    @JsonFormat(pattern="yyyy年MM月dd日",timezone = "GMT+8")
    @DateTimeFormat(pattern="yyyy年MM月dd日")
    private Date dutyDate;

    @Excel(name = "部门编号ID")
    private Long deptId;
    @Excel(name = "部门名称")
    private String deptName;

    private Long createUser;

    private Date createTime;


}
