package com.tofly.xrtygis.custom.entity.dma;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.tofly.common.core.annotation.Excel;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

@Data
public class ImportExDutyExtend {
    @Excel(name = "序号")
    private Long exId;

    @Excel(name = "工作日期")
    @JsonFormat(pattern = "yyyy年MM月dd日", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy年MM月dd日")
    private Date dutyDate;

    @Excel(name = "白班人员编号ID")
    private Long dutyUser;

    @Excel(name = "白班人员名称")
    private String dutyUserName;

    @Excel(name = "夜班人员编号ID")
    private Long dutyUser1;

    @Excel(name = "夜班人员名称")
    private String dutyUserName1;


}
