package com.tofly.xrtygis.custom.entity.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

@Data
public class CustomizeDto implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty("DMA分区id,多个以,分隔")
    private String dmaIds;

    @ApiModelProperty("修正月份,格式yyyy-MM-dd,多个以,分隔")
    private String months;

    @ApiModelProperty("漏损率修正系数")
    private BigDecimal leakCoefficient;

    @ApiModelProperty("产销差修正系数")
    private BigDecimal poorProductionCoefficient;
}
