package com.tofly.xrtygis.custom.entity.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

@Data
public class WisdomDisplayDto implements Serializable {
    private static final long serialVersionUID = 1L;

    private String model;

    private String type;

    private Integer callType;

    private String fillingType;

    private String deviceType;

    private List<String> deviceCodes;

    private List<String> statusList;

    private List<String> connectIds;

    private String dataType;

    private String censusDateType;

    private Integer statisticsType;

    private List<Long> dmaLevel;

    private List<Long> indexId;

    @ApiModelProperty(value = "指标类型")
    private String indexType;

    private List<String> indexCodes;

    private List<Long> deviceIds;

    private Integer dmaLevelOne;

    private List<Long> deviceId;

    private String dmaName;

    private List<Long> ids;

    private String stationIds;

    private String startDate;

    private String endDate;

    private String startYear;

    private String endYear;

    private String startMonth;

    private String endMonth;

    private String startDay;

    private String endDay;

    private String startHour;

    private String endHour;

    private List<String> censusMonths;

    private String censusDate;

    private String censusYear;

    @ApiModelProperty(value = "一个月yyyy-MM")
    private String censusMonth;

    private String censusDay;

    private String censusHour;

    private List<Long> dmaId;

    private Long dmaIdOne;

    private Long processNode;

    private String troubleState;

    @ApiModelProperty(value = "近几个月的数据")
    private Integer monthNum;

}
