package com.tofly.xrtygis.custom.service;


import com.baomidou.mybatisplus.extension.plugins.pagination.Page;

import javax.servlet.http.HttpServletResponse;


/**
 * 分区计量--流量历史采集合理性
 *
 * @author Michael.Shu
 * @date 2021-5-27 09:11:38
 */
public interface CustomDmatableflowviewService {

    /**
     * 流量历史采集列表
     *
     * @param response   响应对象
     * @param page       分页对象
     * @param start_time 开始时间
     * @param end_time   结束时间
     * @param table_ids  观察表ID集（多个英文逗号隔开）
     * @param isExport   是否导出Excel
     * @return Page
     */
    Page getListInfo(HttpServletResponse response, Page page, String start_time, String end_time, String table_ids, boolean isExport);
}
