package com.tofly.xrtygis.custom.service.zsdata;

import java.util.Map;

/**
 * @author FlashWJL
 * @date 2021/5/15 15:51
 */
public interface DataMonthPlanService {

    /**
     * 制水材料分析
     *
     * @param scid 厂
     * @param years 年月yyyy-MM
     * @return map
     */
    Map<String,Object> makeWater(String scid,String years);

    /**
     * 成本核算
     * @param scid 厂
     * @param years 年月
     * @return map
     */
    Map<String,Object> costCalculate(String scid,String years);

}
