/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.xrtygis.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
 * DMA分区与抄表本关系表
 *
 * @author wangjieliu
 * @date Wed May 26 00:00:00 CST 2021
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_YWPN_DMAANDCBB_W", resultMap = "dmaandcbbMap")
@KeySequence("TF_YWPN_DMAANDCBB_W")
@ApiModel
public class Dmaandcbb extends Model<Dmaandcbb> {
    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
//    @TableId(value = "ID", type = IdType.INPUT)
    @ApiModelProperty(value = "主键ID")
    private String id;
    /**
     * 分区ID（与表TF_YWPN_DMAREGION_W.ID关联）
     */
    @ApiModelProperty(value = "分区ID（与表TF_YWPN_DMAREGION_W.ID关联）")
    private Long dmaId;
    /**
     * 抄表本编码（与表TF_YWPN_DMAUSERCBB_W.CBB_BM关联）
     */
    @ApiModelProperty(value = "抄表本编码（与表TF_YWPN_DMAUSERCBB_W.CBB_BM关联）")
    private String cbbbm;

}
