/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.xrtygis.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
 * 热线短信通讯类型表（模板表）
 *
 * @author admin
 * @date Wed Mar 10 00:00:00 CST 2021
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_YWPN_RXSMSTXLX_W", resultMap = "rxsmstxlxMap")
@KeySequence("TF_YWPN_RXSMSTXLX_W")
@ApiModel
public class Rxsmstxlx extends Model<Rxsmstxlx> {
    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @TableId(value = "ID", type = IdType.INPUT)
    @ApiModelProperty(value = "ID")
    private Long id;
    /**
     * 通讯编码
     */
    @ApiModelProperty(value = "通讯编码")
    private Short txbm;
    /**
     * 通讯名称
     */
    @ApiModelProperty(value = "通讯名称")
    private String txmc;
    /**
     * 短信内容格式
     */
    @ApiModelProperty(value = "短信内容格式")
    private String dxnrgs;
    /**
     * 标志 0：无效 1：有效
     */
    @ApiModelProperty(value = "有效标志 0：无效 1：有效")
    private String yxbz;
    /**
     * 短信内容格式注释
     */
    @ApiModelProperty(value = "短信内容格式注释")
    private String dxnrzs;
    /**
     * 数据组装查询语句
     */
    @ApiModelProperty(value = "数据组装查询语句")
    private String sql;

}
