/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.xrtygis.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
 * 热线应急标题名称编码表
 *
 * @author admin
 * @date Fri Nov 19 00:00:00 CST 2021
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_YWPN_RXYJBTBM_W", resultMap = "rxyjbtbmMap")
@KeySequence("TF_YWPN_RXYJBTBM_W")
@ApiModel
public class Rxyjbtbm extends Model<Rxyjbtbm> {
    private static final long serialVersionUID = 1L;

    /**
     * $column.comments
     */
    @TableId(value = "ID", type = IdType.INPUT)
    @ApiModelProperty(value = "$column.comments")
    private Long id;
    /**
     * 应急标题名称
     */
    @ApiModelProperty(value = "应急标题名称")
    private String name;

    @ApiModelProperty(value = "0:禁用 1:启用")
    private String state;

}
