package com.tofly.xrtygis.entity.dto;

import com.tofly.common.core.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class TfDeviceArchiveImportDto {

    /**
     * 库名
     */
    @ApiModelProperty(value = "库名")
    @Excel(name = "库名")
    private String comCode;


    /**
     * 型号规格
     */
    @ApiModelProperty(value = "型号规格")
    @Excel(name = "型号规格")
    private String modelSpecification;


    /**
     * 变量名称
     */
    @ApiModelProperty(value = "变量名称")
    @Excel(name = "变量名称")
    private String variableName;


    /**
     * 指标类型
     */
    @ApiModelProperty(value = "指标类型(字典表，pcid=60000)")
    @Excel(name = "指标类型(字典表，pcid=60000)")
    private String indexType;



    /**
     * 设备编码
     */
    @ApiModelProperty(value = "设备编码")
    @Excel(name = "设备编码")
    private String fCode;
    /**
     * 设备名称
     */
    @ApiModelProperty(value = "设备名称")
    @Excel(name = "设备名称")
    private String name;

    /**
     * 设备类型(字典表，pcid=53400)
     */
    @ApiModelProperty(value = "设备类型(字典表，pcid=53400)")
    @Excel(name = "设备类型(字典表，pcid=53400)")
    private String deviceType;

}
