package com.tofly.xrtygis.entity.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * Dma最小瞬时流量
 */
@Data
public class DmaMinWaterSupplyVo implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "分区id")
    private Long dmaId;

    @ApiModelProperty(value = "最小瞬时流量")
    private BigDecimal minWaterSupply;


}
