package com.tofly.xrtygis.entity.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * 首页-热线管理系统 呼入呼损
 * @author BZ-DJJ
 */
@Data
@Accessors(chain = true)
public class HotlineInboundLossStatisticalVo implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty("呼入总数")
    private BigDecimal totalInbound;

    @ApiModelProperty("呼入接通数")
    private BigDecimal inboundNum;

    @ApiModelProperty("呼入呼损")
    private BigDecimal inboundLossNum;

}
