package com.tofly.xrtygis.entity.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * 首页-营销 抄表
 * @author BZ-DJJ
 */
@Data
public class MeterReadingNumberVo implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty("计划抄表数")
    private BigDecimal planMeterReadingNumber;
    @ApiModelProperty("已抄表数")
    private BigDecimal meterReadingNumber;
    @ApiModelProperty("未抄表数")
    private BigDecimal notMeterReadingNumber;

    @ApiModelProperty("计划分配数")
    private BigDecimal planAllotment;
    @ApiModelProperty("已分配数")
    private BigDecimal allotment;
    @ApiModelProperty("未分配数")
    private BigDecimal notAllotment;

    @ApiModelProperty("计划下载数")
    private BigDecimal planDownloadNumber;
    @ApiModelProperty("已下载数")
    private BigDecimal downloadNumber;
    @ApiModelProperty("未下载数")
    private BigDecimal notDownloadNumber;

}
