package com.tofly.xrtygis.entity.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * 首页-营销 工单
 * @author BZ-DJJ
 */
@Data
public class RepairOrderNumberVo implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty("登记受理工单数量")
    private BigDecimal planRepairOrderNumber;
    @ApiModelProperty("已完成数")
    private BigDecimal repairOrderNumber;
    @ApiModelProperty("未完成数")
    private BigDecimal notRepairOrderNumber;
    @ApiModelProperty("通过数")
    private BigDecimal notTurndownNumber;
    @ApiModelProperty("驳回数")
    private BigDecimal turndownNumber;

}
