package com.tofly.xrtygis.entity.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 首页-生产运营 二厂 水质(余氯)统计一天数据
 * @author BZ-DJJ
 */
@Data
public class TwoFactoryWaterQualityYLStatisticalVo implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty("统计时间")
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    private Date dateTime;

    @ApiModelProperty("出厂余氯")
    private BigDecimal waterSupplyValue;

}
