package com.tofly.xrtygis.entity.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * 首页-生产运营 单位变动成本 显示本年度总单位变动成本累计值与预算值
 * @author BZ-DJJ
 */
@Data
public class UnitVariableCostStatisticalVo implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty("实际单位成本值")
    private BigDecimal totalCumulative;

    @ApiModelProperty("预算单位成本值")
    private BigDecimal totalBudget;


}
