package com.tofly.xrtygis.entity.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * 首页-营销 对应厂家 报废总数
 * @author BZ-DJJ
 */
@Data
public class WaterMeterOldTransferStatisticalVo implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty("厂家名称")
    private String cname;
    @ApiModelProperty("报废总数(旧表移交算报废)")
    private BigDecimal totalNumber;

}
