/*
 * Author: wangjian
 * 生成mapper
 */
package com.tofly.xrtygis.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.tofly.xrtygis.entity.Poll;
import org.springframework.data.repository.query.Param;

import java.util.List;

/**
 * 污染物信息表
 *
 * @author admin
 * @date Wed Jun 23 00:00:00 CST 2021
 */
public interface PollMapper extends BaseMapper<Poll> {
    /**
     * 获取污染物信息
     * @param id 污染源id
     * @return list
     */
    List<Poll> getPollInfos(@Param("id") Long id);
}
