/*
 * Author: wangjian
 * 生成Service
 */
package com.tofly.xrtygis.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.xrtygis.entity.DmaStatistical;
import com.tofly.xrtygis.entity.Dmaandobser;
import com.tofly.xrtygis.entity.vo.DmaLeakageVo;

import java.util.List;

/**
 * DMA分区与观察表关系信息表：TF_YWPN_DMAANDOBSER_W
 *
 * @author admin
 * @date Wed Mar 10 00:00:00 CST 2021
 */
public interface DmaandobserService extends IService<Dmaandobser> {

    void insertBatch(List<Dmaandobser> dmaandobserList);

    List<DmaLeakageVo> leakageRateAnalyse(List<Long> dmaIdList, String startDate, String endDate);

    List<DmaStatistical> getDmaStatistical(String startDate, String endDate, String dmaIds);

}
