/*
 * Author: wangjian
 * 生成Service
 */
package com.tofly.xrtygis.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.xrtygis.entity.Dmaicf;

import java.util.List;
import java.util.Map;

/**
 * 分区计量对应的基础设施的状况因子表
 *
 * @author admin
 * @date Tue May 18 00:00:00 CST 2021
 */
public interface DmaicfService extends IService<Dmaicf> {

    String getIcfByYear(Long mid, String bsign, String esign, int diffYear);


    IPage<Map> selectICF(Page<Dmaicf> page, Dmaicf dmaicf);
}
