/*
 * Author: wangjian
 * 生成Service
 */
package com.tofly.xrtygis.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.xrtygis.entity.TfDeviceArchiveManage;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;
import java.util.Map;

/**
 * 设备档案管理
 *
 * @author admin
 * @date Fri Mar 11 00:00:00 CST 2022
 */
public interface TfDeviceArchiveManageService extends IService<TfDeviceArchiveManage> {

    List<Long> getIdList(String deviceName, List<Long> stationIdList, String pipeStationType);

    boolean ImportData(MultipartFile file);

    List<Map<String,String>>getDeviceTypeReport();
}
