/*
 * Author: wangjian
 * 生成Service
 */
package com.tofly.xrtygis.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.xrtygis.entity.Userandplot;
import com.tofly.xrtygis.entity.dto.UserandplotDto;

import java.util.List;
import java.util.Map;

/**
 * 小区-用户关联表
 *
 * @author chenhao
 * @date Thu Mar 31 00:00:00 CST 2022
 */
public interface UserandplotService extends IService<Userandplot> {

    Page<Map> getUserInfo(Page page, String dto);

    boolean bindUserAndPlot(UserandplotDto dto);

    List<Map> plotCount(String plotIds);

}
