package com.tofly.pojo.plan.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.NonNull;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * @author wujianjun
 * @date 2023/11/21 09:57
 */
@Data
public class BatchPlanPointDTO {

    @ApiModelProperty(value = "地区ID")
    private String regionId;

    @ApiModelProperty(value = "地区名称")
    @NotBlank(message = "地区名称不能为空")
    private String regionName;

    List<BatchPlanPointSubListDTO> list;
}
