package com.tofly.pojo.plan.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

@Data
public class TreeVo implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "ID")
    private Long id;

    @ApiModelProperty(value = "标签名")
    private String label;

    @ApiModelProperty(value = "类型（1部门;2巡检组;3人员）")
    private String type;

    @ApiModelProperty(value = "子集列表")
    List<TreeVo> children;
}
