package com.tofly.pojo.statement.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * 考勤记录
 *
 * @author BZ-DJJ
 */
@Data
public class AttendanceRecordsVo implements Serializable {
    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "用户名称")
    private String userName;
    @ApiModelProperty(value = "部门名称")
    private String deptName;
    @ApiModelProperty(value = "巡检组名称")
    private String groupName;

    @ApiModelProperty(value = "工作时间")
    private String workHours;

    @ApiModelProperty(value = "巡检里程")
    private Double planTotalDistance;
    @ApiModelProperty(value = "有效里程")
    private Double vaildSpeed;

    @ApiModelProperty(value = "发现隐患数量")
    private Long findTroubleNum;
    @ApiModelProperty(value = "工地发现个数")
    private Long buildingsitefinded;
    @ApiModelProperty(value = "巡检任务个数")
    private Long planNum;
    @ApiModelProperty(value = "巡检执行情况")
    private String inspectNode;
    @ApiModelProperty(value = "维修情况")
    private String maintainNode;
}
