/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.pojo.trouble.dto;

import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;


/**
 * 隐患等级表
 *
 * @author admin
 * @date Fri Aug 06 00:00:00 CST 2021
 */
@Data
@ApiModel
public class ToublerangeDto extends Model<ToublerangeDto> {
    private static final long serialVersionUID = 1L;

    /**
     * $column.comments
     */
    private Long id;
    /**
     * 隐患等级
     */
    @ApiModelProperty(value = "隐患等级")
    private String name;
    /**
     * 隐患登记备注
     */
    @ApiModelProperty(value = "隐患登记备注")
    private String notes;


}
