/*
 * Author: Zev
 * 生成mapper
 */
package com.tofly.gpsboot.mapper.plan;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.tofly.pojo.plan.Planchild;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Set;

/**
 * 巡检子计划信息表：TF_YWPN_PLANCHILD_W
 *
 * @author admin
 * @date Thu Mar 18 00:00:00 CST 2021
 */
public interface PlanchildMapper extends BaseMapper<Planchild> {
    /**
     * 更新主计划完成子计划状态也完成
     */
    void updateStateOver();

    List<Planchild> getChiledInfo(@Param("planId") Set<Long> planId, @Param("userId") Long userId);
}
