package com.tofly.gpsboot.service.comm;

/**
 * 处理权限服务类
 * @author BZ-DJJ
 */
public interface IDisposeDateService {
    /**
     * 判断当前用户操作是否拥有操作该对象权限
     * @param userId
     * @return
     */
    Boolean isDisposePermissions(Long userId);

    /**
     * 根据传入用户或部门,获取对应部门下用户拼接字符串
     * @param userId
     * @param deptId
     * @return
     */
    String getDeptUsers(Long userId,Long deptId);
}
