/*
 * Author: Zev
 * 生成Service
 */
package com.tofly.gpsboot.service.daily;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.pojo.plan.dto.BatchPlanPointDTO;
import com.tofly.pojo.plan.dto.PlanpointDto;
import com.tofly.pojo.plan.vo.PlanpointVo;
import com.tofly.pojo.plan.Planpoint;
import com.tofly.gpsboot.service.IBaseService;


/**
 * 巡检点信息表：TF_YWPN_PLANPOINT_W
 *
 * @author admin
 * @date Thu Mar 18 00:00:00 CST 2021
 */
public interface PlanpointService extends IBaseService<Planpoint, PlanpointVo> {

    /**
     * 自定义分页查询
     * @param page
     * @param parDto
     * @return
     */
    Page<PlanpointVo> getPlanPointPage(Page page, PlanpointDto parDto);


    int batchSave(BatchPlanPointDTO dto);
}
