/*
 * Author: Zev
 * 生成Service
 */
package com.tofly.gpsboot.service.paln.task;

import com.tofly.gpsboot.service.IBaseService;
import com.tofly.pojo.plan.Planchild;
import com.tofly.pojo.plan.vo.PlanchildVo;

import java.util.List;
import java.util.Set;


/**
 * 巡检子计划信息表：TF_YWPN_PLANCHILD_W
 *
 * @author admin
 * @date Thu Mar 18 00:00:00 CST 2021
 */
public interface PlanchildService extends IBaseService<Planchild, PlanchildVo> {
    /**
     * 生成子计划
     * @param userIdList
     * @param planId
     */
    void generatePlanChildList(Set<Long> userIdList, Long planId);

    /**
     * 获取当前用户子计划状态
     * @param planId
     * @param userId
     * @return
     */
    String getPlanChildState(Long planId,Long userId);

    /**
     * 更新主计划完成子计划状态也完成
     */
    void updateStateOver();

    List<Planchild> getChileInfo(Set<Long> planId,Long userId);
}
