/*
 * Author: Zev
 * 生成Service
 */
package com.tofly.gpsboot.service.process;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.pojo.plan.TfYwpnInspectdevicetempW;
import com.tofly.pojo.plan.dto.PointtempDto;
import com.tofly.pojo.plan.vo.PointtempVo;
import com.tofly.pojo.plan.Pointtemp;
import com.tofly.gpsboot.service.IBaseService;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;


/**
 * 巡检计划点到位信息表：TF_YWPN_POINTTEMP_W
 *
 * @author admin
 * @date Thu Mar 18 00:00:00 CST 2021
 */
public interface PointtempService extends IBaseService<Pointtemp, PointtempVo> {
    /**
     * 分页查询
     * @param page
     * @param parDto
     * @return
     */
    Page<PointtempVo> getInfoPage(Page page, PointtempDto parDto);

    /**
     * 批量更新点到位信息
     * @param pointTempList
     * @return
     */
    Boolean updatePointTempList(List<Pointtemp> pointTempList,Long userId);

    Boolean updateDeviceTempList(List<Pointtemp> pointTempList, Long userId, TfYwpnInspectdevicetempW inspectdevicetemp, List<MultipartFile> fileList);
}
