package com.tofly.common.mapper;


import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.tofly.common.entity.IFile;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 公共文件表： TF_YWPN_FILE_W
 *
 * @author admin
 * @date Wed Mar 10 00:00:00 CST 2021
 */
public interface IFileMapper extends BaseMapper<IFile> {
    /**
     * 获取文件路径
     * @param id  文件id
     * @return string
     */
    String getPath(@Param("id") Long id);

    /**
     * 获取多个文件路径
     * @param ids ids
     * @return list
     */
    List<String> getPaths(@Param("ids") String ids);

//    /**
//     * 获取用户名
//     * @param id id
//     * @return list
//     */
//    String getUserName(@Param("ids") Long id);
}
