package com.tofly.custom.entity.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

@Data
public class ScadaIndexReportVo {
    @ApiModelProperty(value = "时间")
    private String dateTime;

    @ApiModelProperty(value = "所有水厂总瞬时量SC2_Chu_Total_FT和SC3_Chu_FT之和")
    private String totalFlow;

    @ApiModelProperty(value = "指标类型列表")
    private List<IndexTypeVo> indexTypeVos;

    @ApiModelProperty(value = "水厂列表")
    private List<WaterNameVo> waterNameVos;


}
