package com.tofly.scada.entity.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 *
 * @author JF
 * @date 2023/2/15
 * @description 指标值
 */
@Data
public class ScadaIndexVo implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "统计时间")
    private String scadaTime;

    @ApiModelProperty(value = "指标编码")
    private String indexCode;

    @ApiModelProperty(value = "指标名称")
    private String indexName;

    @ApiModelProperty(value = "指标类型ID")
    private String indexTypeId;

    @ApiModelProperty(value = "指标单位")
    private String indexUnit;

    @ApiModelProperty(value = "指标报警阈值ID集")
    private String reportIds;

    @ApiModelProperty(value = "指标值")
    private String indexValue;

    @ApiModelProperty(value = "指标值最大值")
    private String indexValueMax;

    @ApiModelProperty(value = "指标值最小值")
    private String indexValueMin;

    @ApiModelProperty(value = "指标值平均值")
    private String indexValueAvg;

    @ApiModelProperty(value = "指标值累计值")
    private String indexValueFold;

    @ApiModelProperty(value = "指标总数")
    private String allCount;

    @ApiModelProperty(value = "指标报警总数")
    private String errorCount;

    @ApiModelProperty(value = "指标合格率（%）")
    private String passRate;

    @ApiModelProperty(value = "设备ID")
    private Long deviceId;

    @ApiModelProperty(value = "设备编码")
    private String deviceCode;

    @ApiModelProperty(value = "设备名称")
    private String deviceName;
}
