package com.tofly.scada.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.scada.entity.Scada;
import com.tofly.scada.entity.StatisticsScada;
import com.tofly.scada.entity.dto.ScadaMoreQuery;
import com.tofly.scada.entity.dto.ScadaQuery;
import com.tofly.scada.entity.vo.StatisticsScadaVo;

import java.util.Date;
import java.util.List;

/**
* @author haiqiu
* @description 针对表【STATISTICS_SCADA】的数据库操作Service
* @createDate 2022-05-10 15:55:35
*/
public interface StatisticsScadaService extends IService<StatisticsScada> {

    Page<StatisticsScadaVo> getPageData(Page page, ScadaQuery scadaQuery, Boolean isPage);

//    List<StatisticsScadaVo> getDataList(ScadaQuery scadaQuery);

    Page geTrendData(Page page, ScadaQuery scadaQuery,Boolean isPage,Boolean isExport);

    /**
     * 删除统计数据
     * @param dateType 类型
     * @param codes 编码
     * @param start 开始时间
     * @param end 结束时间
     * @return 成功条数
     */
    int delete(Integer dateType, List<String> codes, Date start, Date end);

    void insertBacthHistoryTemp(ScadaMoreQuery scadaMoreQuery);
}
