package com.tofly.water.entity.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

@Data
public class WaterProductionInfoVo {


    @ApiModelProperty("水厂类型1，水厂，2污水厂")
    public  String waterType;

    //总统运行情况
    @ApiModelProperty("总设计供水/污水处理能力(m³)")
    public  BigDecimal designProcessingCapacity;

    @ApiModelProperty("今年所有水厂进水指标水量(m³)")
    public  BigDecimal waterSupplyInYear;


    @ApiModelProperty("今年所有水厂出水指标水量(m³)")
    public  BigDecimal waterSupplyOutYear;


    @ApiModelProperty("今日所有水厂进水指标水量(m³)")
    public  BigDecimal waterSupplyInDay;


    @ApiModelProperty("今日所有水厂出水指标水量(m³)")
    public  BigDecimal waterSupplyOutDay;

    @ApiModelProperty("水厂/污水厂数量")
    public  BigDecimal waterCount;


    @ApiModelProperty("水厂/污水厂信息")
    public List<WaterInfoVo> waterInfoVoList;




}
